LCI = LibStub("AceAddon-3.0"):NewAddon("LCI", "AceConsole-3.0", "AceEvent-3.0", "AceHook-3.0")
local L = LibStub("AceLocale-3.0"):GetLocale("LCI")
LCI:SetDefaultModuleLibraries("AceEvent-3.0", "AceHook-3.0")

-- [[Load Modules]] --

-- [[Default Saved Variables]] --
local defaults = {
	global = {
		addonProfileVersion = {},
	},
	profile = {
		IsInstalled = false,
		ResTypeSet = "1920x1080",
		LayoutTypeSet = "Healer",
		addonCharProfileVersion = {},
		moduleState = {
		},
	},
}

function LCI:OnInitialize()
	self.db = LibStub("AceDB-3.0"):New("LCIDB", defaults)
	
	LCI:RegisterChatCommand("align", "Align")
	LCI:RegisterChatCommand("rc", "ReadyCheck")
	LCI:RegisterChatCommand("rl", "Reload")
	
	-- Enable or Disable Modules based on saved variables
	for name, module in LCI:IterateModules() do
		if LCI.db.profile.moduleState[name] == nil then
			LCI.db.profile.moduleState[name] = true
			module:Enable()
		elseif LCI.db.profile.moduleState[name] == true then
			module:Enable()
		elseif LCI.db.profile.moduleState[name] == false then
			module:Disable()
		end
	end
	
	if LCI.db.profile.IsInstalled == false then
		LCI:InitSetup()
	else
		LCI:BottomBar()
		LCI:BottomLeft()
		LCI:BottomLeftBar()
		LCI:BottomRight()
		LCI:LeftBar()
		LCI:RightBar()
		LCI:TopBar()
		LCI:TopButtonPanel()
		LCI:TopLeft()
		LCI:TopRight()
	end
end

