local profileVersion = GetAddOnMetadata("LCI", "Version")
local CharName = UnitName("player")
local ServerName = GetRealmName()
local CharInfo = CharName.." - "..ServerName

function LCI:Install_Bartender4()
	if LCI.db.global.addonProfileVersion.Bartender4 ~= profileVersion then
	
		LCI_ProfileDefaults = {
			["LCI"] = {
				["blizzardVehicle"] = true,
				["focuscastmodifier"] = false,
				["minimapIcon"] = {
					["hide"] = true,
				},
			},
		}
		
		for k,v in pairs(LCI_ProfileDefaults) do
			Bartender4DB.profiles[k] = v
		end
		
		LCI_BagBar = {
			["LCI"] = {
				["enabled"] = false,
				["version"] = 3,
				["position"] = {
					["y"] = 38.5,
					["x"] = 345,
					["point"] = "BOTTOM",
				},
			},
		}
		
		for k,v in pairs(LCI_BagBar) do
			Bartender4DB.namespaces.BagBar.profiles[k] = v
		end
		
		LCI_RepBar = {
			["LCI"] = {
				["position"] = {
					["y"] = 65,
					["x"] = -516,
					["point"] = "BOTTOM",
				},
				["version"] = 3,
			},
		}
		
		for k,v in pairs(LCI_RepBar) do
			Bartender4DB.namespaces.RepBar.profiles[k] = v
		end
		
		LCI_XPBar = {
			["LCI"] = {
				["position"] = {
					["y"] = 57,
					["x"] = -516,
					["point"] = "BOTTOM",
				},
				["version"] = 3,
			},
		}

		for k,v in pairs(LCI_XPBar) do
			Bartender4DB.namespaces.XPBar.profiles[k] = v
		end
		
		LCI_BlizzardArt = {
			["LCI"] = {
				["position"] = {
					["y"] = 47,
					["x"] = -512,
					["point"] = "BOTTOM",
				},
				["version"] = 3,
			},
		}
		
		for k,v in pairs(LCI_BlizzardArt) do
			Bartender4DB.namespaces.BlizzardArt.profiles[k] = v
		end
		
		LCI_MicroMenu = {
			["LCI"] = {
				["enabled"] = false,
				["position"] = {
					["y"] = 41.75,
					["x"] = 37.5,
					["point"] = "BOTTOM",
					["scale"] = 1,
				},
				["version"] = 3,
			},
		}
		
		for k,v in pairs(LCI_MicroMenu) do
			Bartender4DB.namespaces.MicroMenu.profiles[k] = v
        end
		
		-- [[1920x1080 Settings]] --
		if LCI.db.profile.ResTypeSet == "1920x1080" then
			
		LCI_ActionBars = {
			["LCI"] = {
				["actionbars"] = {
					{
						["showgrid"] = true,
						["version"] = 3,
						["position"] = {
							["y"] = 62.1083860652134,
							["x"] = -391.2682117695,
							["point"] = "BOTTOM",
							["scale"] = 0.850000023841858,
						},
						["states"] = {
							["stance"] = {
								["WARRIOR"] = {
									["battle"] = 10,
									["gladiator"] = 8,
									["def"] = 9,
								},
							},
						},
					}, -- [1]
					{
						["showgrid"] = true,
						["version"] = 3,
						["position"] = {
							["y"] = 62.1083860652134,
							["x"] = -1.96804521027661,
							["point"] = "BOTTOM",
							["scale"] = 0.850000023841858,
						},
					}, -- [2]
					{
						["showgrid"] = true,
						["rows"] = 12,
						["version"] = 3,
						["position"] = {
							["y"] = 201.449913883745,
							["x"] = -2.12500269413002,
							["point"] = "LEFT",
							["scale"] = 0.850000023841858,
						},
						["padding"] = 3,
					}, -- [3]
					{
						["showgrid"] = true,
						["rows"] = 12,
						["version"] = 3,
						["position"] = {
							["y"] = 201.449913883745,
							["x"] = 32.2602998245548,
							["point"] = "LEFT",
							["scale"] = 0.850000023841858,
						},
						["padding"] = 3,
					}, -- [4]
					{
						["showgrid"] = true,
						["rows"] = 12,
						["version"] = 3,
						["position"] = {
							["y"] = 201.449913883745,
							["x"] = -36.1251862361096,
							["point"] = "RIGHT",
							["scale"] = 0.850000023841858,
						},
						["padding"] = 3,
					}, -- [5]
					{
						["showgrid"] = true,
						["rows"] = 12,
						["version"] = 3,
						["position"] = {
							["y"] = 201.449913883745,
							["x"] = -72,
							["point"] = "RIGHT",
							["scale"] = 0.850000023841858,
						},
						["padding"] = 3,
					}, -- [6]
					{
						["showgrid"] = true,
						["version"] = 3,
						["position"] = {
							["y"] = 212.988891601563,
							["x"] = 159.388427734375,
							["point"] = "CENTER",
						},
					}, -- [7]
					{
						["showgrid"] = true,
						["version"] = 3,
						["position"] = {
							["y"] = 252.989013671875,
							["x"] = 159.388427734375,
							["point"] = "CENTER",
						},
					}, -- [8]
					{
						["showgrid"] = true,
						["version"] = 3,
						["position"] = {
							["y"] = -246.510803222656,
							["x"] = 159.388427734375,
							["point"] = "TOP",
						},
					}, -- [9]
					{
						["showgrid"] = true,
						["version"] = 3,
						["position"] = {
							["y"] = -206.510986328125,
							["x"] = 159.388427734375,
							["point"] = "TOP",
						},
					}, -- [10]
				},
			},
		}
			
		for k,v in pairs(LCI_ActionBars) do
			Bartender4DB.namespaces.ActionBars.profiles[k] = v
		end
		
		LCI_StanceBar = {
			["LCI"] = {
				["fadeoutalpha"] = 0.3,
				["version"] = 3,
				["position"] = {
					["y"] = 70,
					["x"] = -246,
					["point"] = "BOTTOM",
					["scale"] = 0.95,
					["growVertical"] = "UP",
				},
				["fadeout"] = true,
			},			
		}
		
		for k,v in pairs(LCI_StanceBar) do
			Bartender4DB.namespaces.StanceBar.profiles[k] = v
		end
		
		LCI_PetBar = {
			["LCI"] = {
				["rows"] = 2,
				["version"] = 3,
				["position"] = {
					["y"] = 69,
					["x"] = -252,
					["point"] = "BOTTOM",
					["scale"] = 0.8,
					["growHorizontal"] = "LEFT",
					["growVertical"] = "UP",
				},
			},
		}
		
		for k,v in pairs(LCI_PetBar) do
			Bartender4DB.namespaces.PetBar.profiles[k] = v
		end
		
		LCI_ExtraActionBar = {
			["LCI"] = {
				["position"] = {
					["y"] = 58.9999961853027,
					["x"] = 501.723999023438,
					["point"] = "BOTTOM",
				},
				["version"] = 3,
			},
		}
		
		for k,v in pairs(LCI_ExtraActionBar) do
			Bartender4DB.namespaces.ExtraActionBar.profiles[k] = v
		end
		
		LCI_Vehicle = {
			["LCI"] = {
				["version"] = 3,
				["position"] = {
					["y"] = 38.1519088745117,
					["x"] = 371.529602050781,
					["point"] = "BOTTOMLEFT",
				},
			},
		}
		
		for k,v in pairs(LCI_Vehicle) do
			Bartender4DB.namespaces.Vehicle.profiles[k] = v
		end
		
		-- [[1600x1200 Settings]] --
		elseif LCI.db.profile.ResTypeSet == "1600x1200" then
		-- [[1600x1024 Settings]] --
		elseif LCI.db.profile.ResTypeSet == "1600x1024" then
		-- [[1600x900 Settings]] --
		elseif LCI.db.profile.ResTypeSet == "1600x900" then
		-- [[1440x900 Settings]] --
		elseif LCI.db.profile.ResTypeSet == "1440x900" then
		-- [[1400x1050 Settings]] --
		elseif LCI.db.profile.ResTypeSet == "1400x1050" then
		-- [[1366x768 Settings]] --
		elseif LCI.db.profile.ResTypeSet == "1366x768" then
		-- [[1360x768 Settings]] --
		elseif LCI.db.profile.ResTypeSet == "1360x768" then
		-- [[1280x1024 Settings]] --
		elseif LCI.db.profile.ResTypeSet == "1280x1024" then
		-- [[1280x800 Settings]] --
		elseif LCI.db.profile.ResTypeSet == "1280x800" then
		-- [[1280x768 Settings]] --
		elseif LCI.db.profile.ResTypeSet == "1280x768" then
		-- [[1280x720 Settings]] --
		elseif LCI.db.profile.ResTypeSet == "1280x720" then
		-- [[1176x664 Settings]] --
		elseif LCI.db.profile.ResTypeSet == "1176x664" then
		-- [[1152x864 Settings]] --
		elseif LCI.db.profile.ResTypeSet == "1152x864" then
		-- [[1024x768 Settings]] --
		elseif LCI.db.profile.ResTypeSet == "1024x768" then
		-- [[800x600 Settings]] --
		elseif LCI.db.profile.ResTypeSet == "800x600" then
		-- [[720x576 Settings]] --
		elseif LCI.db.profile.ResTypeSet == "720x576" then
		end
		
	LCI.db.global.addonProfileVersion.Bartender4 = profileVersion
	end
	
	if Bartender4DB.profileKeys[CharInfo] == nil then
		tinsert(Bartender4DB.profileKeys,CharInfo)
		Bartender4DB.profileKeys[CharInfo] = "LCI"
	elseif Bartender4DB.profileKeys[CharInfo] ~= "LCI" then
		Bartender4DB.profileKeys[CharInfo] = "LCI"
	end
end