local profileVersion = GetAddOnMetadata("LCI", "Version")
local CharName = UnitName("player")
local ServerName = GetRealmName()
local CharInfo = CharName.." - "..ServerName

function LCI:Install_Bazooka()
	if LCI.db.global.addonProfileVersion.Bazooka ~= profileVersion then
	
		-- 1920x1080 --
		if LCI.db.profile.ResTypeSet == "1920x1080" then
			LCI_Bazooka_Install = {
				["namespaces"] = {
					["LibDualSpec-1.0"] = {
					},
				},
				["global"] = {
					["plugins"] = {
						["maxTextWidth"] = "95",
						["area"] = "center",
					},
					["bars"] = {
						["bgEnabled"] = false,
						["centerSpacing"] = 2,
						["frameWidth"] = 110,
						["iconSize"] = 14,
						["bgColor"] = {
							["b"] = 1,
							["g"] = 1,
							["r"] = 1,
						},
						["fontSize"] = 10,
					},
				},
				["profiles"] = {
					["Default"] = {
						["numBars"] = 28,
						["locked"] = true,
						["plugins"] = {
							["data source"] = {
								["Broker_ProfessionsMenu"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["pos"] = 44,
								},
								["Broker_Portals"] = {
									["maxTextWidth"] = 95,
									["showIcon"] = false,
									["area"] = "center",
									["alignment"] = "LEFT",
									["pos"] = 1,
									["bar"] = 4,
								},
								["Coords"] = {
									["maxTextWidth"] = 80,
									["showIcon"] = false,
									["area"] = "center",
									["alignment"] = "LEFT",
									["bar"] = 25,
									["pos"] = 31,
								},
								["Broker_GarrisonBuilding"] = {
									["maxTextWidth"] = 100,
									["showIcon"] = false,
									["area"] = "center",
									["alignment"] = "LEFT",
									["pos"] = 2,
									["bar"] = 15,
								},
								["Outfitter"] = {
									["maxTextWidth"] = 95,
									["showIcon"] = false,
									["area"] = "center",
									["alignment"] = "LEFT",
									["pos"] = 3,
									["bar"] = 10,
								},
								["GGSocialState"] = {
									["maxTextWidth"] = 95,
									["showIcon"] = false,
									["area"] = "center",
									["alignment"] = "LEFT",
									["pos"] = 4,
									["bar"] = 3,
								},
								["WeakAuras"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["showText"] = false,
									["bar"] = 28,
									["pos"] = 5,
								},
								["DualSpecQ"] = {
									["maxTextWidth"] = 95,
									["showIcon"] = false,
									["area"] = "center",
									["alignment"] = "LEFT",
									["pos"] = 7,
									["bar"] = 9,
								},
								["LoggerHead"] = {
									["maxTextWidth"] = 95,
									["showIcon"] = false,
									["area"] = "center",
									["alignment"] = "LEFT",
									["bar"] = 20,
									["pos"] = 12,
								},
								["DailyToDoDO"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["alignment"] = "LEFT",
									["bar"] = 28,
									["showText"] = false,
									["pos"] = 18,
								},
								["TomTomPing"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["enabled"] = false,
									["pos"] = 17,
								},
								["GearGrinder"] = {
									["maxTextWidth"] = 95,
									["showIcon"] = false,
									["area"] = "center",
									["alignment"] = "LEFT",
									["pos"] = 9,
									["bar"] = 11,
								},
								["Archy"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["alignment"] = "LEFT",
									["bar"] = 23,
									["pos"] = 24,
								},
								["ZoneText"] = {
									["maxTextWidth"] = 110,
									["showIcon"] = false,
									["area"] = "center",
									["alignment"] = "LEFT",
									["bar"] = 26,
									["pos"] = 21,
								},
								["Skada"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["alignment"] = "LEFT",
									["bar"] = 14,
									["showText"] = false,
									["pos"] = 36,
								},
								["BugSack"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["alignment"] = "LEFT",
									["pos"] = 22,
									["bar"] = 21,
								},
								["Progress"] = {
									["maxTextWidth"] = 95,
									["showIcon"] = false,
									["area"] = "center",
									["alignment"] = "LEFT",
									["bar"] = 12,
									["pos"] = 28,
								},
								["WIM"] = {
									["pos"] = 31,
								},
								["Broker Volume"] = {
									["maxTextWidth"] = 20,
									["area"] = "center",
									["bar"] = 27,
									["pos"] = 27,
								},
								["HWM"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["alignment"] = "LEFT",
									["bar"] = 28,
									["showText"] = false,
									["pos"] = 29,
								},
								["Broker_BagInfo"] = {
									["maxTextWidth"] = 95,
									["showIcon"] = false,
									["area"] = "center",
									["alignment"] = "LEFT",
									["pos"] = 18,
									["bar"] = 7,
								},
								["WhisperWhisper Lite"] = {
									["maxTextWidth"] = 95,
									["showIcon"] = false,
									["area"] = "center",
									["alignment"] = "LEFT",
									["pos"] = 26,
									["bar"] = 22,
								},
								["Rarity"] = {
									["maxTextWidth"] = 100,
									["showIcon"] = false,
									["area"] = "center",
									["alignment"] = "LEFT",
									["bar"] = 13,
									["pos"] = 45,
								},
								["FollowerLocationInfo"] = {
									["showIcon"] = false,
									["area"] = "center",
									["alignment"] = "LEFT",
									["pos"] = 42,
									["bar"] = 17,
								},
								["Broker_DurabilityInfo"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["alignment"] = "LEFT",
									["pos"] = 22,
									["bar"] = 6,
								},
								["AckisRecipeList_QuickScan"] = {
									["maxTextWidth"] = 95,
									["showIcon"] = false,
									["area"] = "center",
									["alignment"] = "LEFT",
									["bar"] = 18,
									["pos"] = 47,
								},
								["Scrap"] = {
									["maxTextWidth"] = 75,
									["area"] = "center",
									["alignment"] = "LEFT",
									["pos"] = 20,
									["showValue"] = false,
									["bar"] = 8,
								},
								["Broker_MicroMenu"] = {
									["maxTextWidth"] = 95,
									["showIcon"] = false,
									["area"] = "center",
									["alignment"] = "LEFT",
									["pos"] = 23,
									["bar"] = 5,
								},
								["Broker_LootSpec"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["alignment"] = "LEFT",
									["pos"] = 6,
									["showText"] = false,
									["bar"] = 9,
								},
								["Broker_GarrisonMission"] = {
									["maxTextWidth"] = 100,
									["showIcon"] = false,
									["area"] = "center",
									["alignment"] = "LEFT",
									["pos"] = 28,
									["bar"] = 16,
								},
								["Wholly Coordinates"] = {
									["area"] = "center",
									["enabled"] = false,
									["pos"] = 31,
								},
								["Broker_Money"] = {
									["maxTextWidth"] = 95,
									["showIcon"] = false,
									["area"] = "center",
									["alignment"] = "LEFT",
									["pos"] = 3,
									["bar"] = 2,
								},
								["iCPU"] = {
									["area"] = "center",
									["alignment"] = "LEFT",
									["pos"] = 6,
									["bar"] = 21,
								},
								["Flight Map Enhanced"] = {
									["area"] = "center",
									["alignment"] = "LEFT",
									["bar"] = 28,
									["showText"] = false,
									["pos"] = 33,
								},
								["Broker_uClock"] = {
									["maxTextWidth"] = 35,
									["showIcon"] = false,
									["area"] = "center",
									["alignment"] = "LEFT",
									["bar"] = 27,
									["pos"] = 20,
								},
							},
							["launcher"] = {
								["RaidAchievement"] = {
									["area"] = "center",
									["enabled"] = false,
									["pos"] = 30,
								},
								["QuickRoutes"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["bar"] = 28,
									["pos"] = 11,
								},
								["BagnonLauncher"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["enabled"] = false,
									["pos"] = 32,
								},
								["Wholly"] = {
									["area"] = "center",
									["alignment"] = "LEFT",
									["bar"] = 28,
									["pos"] = 25,
								},
								["Bunnies!"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["alignment"] = "LEFT",
									["bar"] = 28,
									["pos"] = 3,
								},
								["PetBattleMaster"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["enabled"] = false,
									["pos"] = 36,
								},
								["ExRT"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["pos"] = 11,
								},
								["Altoholic"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["alignment"] = "LEFT",
									["bar"] = 28,
									["pos"] = 32,
								},
								["Bazooka"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["enabled"] = false,
								},
								["WoW-Pro"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["alignment"] = "LEFT",
									["pos"] = 38,
									["bar"] = 28,
								},
								["AskMrRobot"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["alignment"] = "LEFT",
									["bar"] = 28,
									["pos"] = 10,
								},
								["Toaster"] = {
									["area"] = "center",
									["pos"] = 40,
								},
								["VuhDo"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["alignment"] = "LEFT",
									["pos"] = 39,
									["bar"] = 28,
								},
								["PassLoot"] = {
									["area"] = "center",
									["bar"] = 28,
									["pos"] = 4,
								},
								["SmartRes2"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["enabled"] = false,
									["pos"] = 8,
								},
								["_NPCScan.Overlay.Broker"] = {
									["area"] = "center",
									["pos"] = 7,
								},
								["TradeSkillMasterMinimapIcon"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["enabled"] = false,
									["pos"] = 14,
								},
								["_NPCScan.Overlay"] = {
									["area"] = "center",
									["pos"] = 24,
								},
								["UpgradeList"] = {
									["area"] = "center",
									["alignment"] = "LEFT",
									["pos"] = 37,
									["bar"] = 28,
								},
								["LFG"] = {
									["maxTextWidth"] = 95,
									["showLabel"] = true,
									["area"] = "center",
									["bar"] = 19,
									["pos"] = 26,
								},
								["RaidAchievementFilter"] = {
									["area"] = "center",
									["alignment"] = "LEFT",
									["bar"] = 28,
									["pos"] = 43,
								},
								["Bartender4"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["enabled"] = false,
									["pos"] = 15,
								},
								["Buffet"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["enabled"] = false,
									["pos"] = 16,
								},
								["Fishing Broker"] = {
									["maxTextWidth"] = 100,
									["iconBorderClip"] = 0.05,
									["showIcon"] = false,
									["area"] = "center",
									["showText"] = true,
									["pos"] = 46,
									["alignment"] = "LEFT",
									["bar"] = 24,
								},
								["GatherMate2"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["alignment"] = "LEFT",
									["bar"] = 28,
									["pos"] = 9,
								},
								["TradeSkillMaster"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["alignment"] = "LEFT",
									["pos"] = 19,
									["bar"] = 28,
								},
								["DBM-LDB"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["alignment"] = "LEFT",
									["bar"] = 28,
									["pos"] = 13,
								},
								["PhanxBuffs"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["enabled"] = false,
									["pos"] = 34,
								},
								["AtlasLoot"] = {
									["area"] = "center",
									["alignment"] = "LEFT",
									["bar"] = 28,
									["pos"] = 41,
								},
								["Omen"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["alignment"] = "LEFT",
									["bar"] = 14,
									["pos"] = 35,
								},
								["Masque"] = {
									["maxTextWidth"] = 95,
									["area"] = "center",
									["enabled"] = false,
									["pos"] = 18,
								},
							},
						},
						["bars"] = {
							{
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = -180.18815612793,
								["x"] = 35.0084495544434,
								["frameWidth"] = 100,
								["pos"] = 0,
								["bgColor"] = {
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["iconSize"] = 14,
								["frameHeight"] = 20.0000076293945,
								["attach"] = "none",
								["fontSize"] = 10,
								["hidden"] = true,
							}, -- [1]
							{
								["bgEnabled"] = false,
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = 0.0173096172511578,
								["x"] = -336.957214355469,
								["frameWidth"] = 100,
								["pos"] = 0,
								["point"] = "BOTTOM",
								["iconSize"] = 14,
								["frameHeight"] = 20.0000076293945,
								["attach"] = "none",
								["fontSize"] = 10,
								["bgColor"] = {
									["b"] = 1,
									["g"] = 1,
									["r"] = 1,
								},
								["relPoint"] = "BOTTOM",
							}, -- [2]
							{
								["bgEnabled"] = false,
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = 0.0173814427107573,
								["x"] = -222.410415649414,
								["frameWidth"] = 100,
								["pos"] = 0,
								["point"] = "BOTTOM",
								["iconSize"] = 14,
								["frameHeight"] = 20.0000076293945,
								["fontSize"] = 10,
								["bgColor"] = {
									["b"] = 1,
									["g"] = 1,
									["r"] = 1,
								},
								["relPoint"] = "BOTTOM",
							}, -- [3]
							{
								["bgEnabled"] = false,
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = 1.11140668392181,
								["x"] = -109.72681427002,
								["frameWidth"] = 100,
								["pos"] = 0,
								["point"] = "BOTTOM",
								["iconSize"] = 14,
								["frameHeight"] = 20.0000076293945,
								["fontSize"] = 10,
								["bgColor"] = {
									["b"] = 1,
									["g"] = 1,
									["r"] = 1,
								},
								["relPoint"] = "BOTTOM",
							}, -- [4]
							{
								["bgEnabled"] = false,
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = 1.11190950870514,
								["x"] = 2.95728707313538,
								["frameWidth"] = 100,
								["pos"] = 0,
								["point"] = "BOTTOM",
								["iconSize"] = 14,
								["frameHeight"] = 20.0000076293945,
								["fontSize"] = 10,
								["bgColor"] = {
									["b"] = 1,
									["g"] = 1,
									["r"] = 1,
								},
								["relPoint"] = "BOTTOM",
							}, -- [5]
							{
								["bgEnabled"] = false,
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = 0.0170941445976496,
								["x"] = 112.359313964844,
								["frameWidth"] = 100,
								["pos"] = 0,
								["point"] = "BOTTOM",
								["iconSize"] = 14,
								["frameHeight"] = 20.0000076293945,
								["fontSize"] = 10,
								["bgColor"] = {
									["b"] = 1,
									["g"] = 1,
									["r"] = 1,
								},
								["relPoint"] = "BOTTOM",
							}, -- [6]
							{
								["bgEnabled"] = false,
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = 0.0170223210006952,
								["x"] = 226.137222290039,
								["frameWidth"] = 100,
								["pos"] = 0,
								["point"] = "BOTTOM",
								["iconSize"] = 14,
								["frameHeight"] = 20.0000076293945,
								["fontSize"] = 10,
								["bgColor"] = {
									["b"] = 1,
									["g"] = 1,
									["r"] = 1,
								},
								["relPoint"] = "BOTTOM",
							}, -- [7]
							{
								["bgEnabled"] = false,
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = 0.0175969153642654,
								["x"] = 336.957000732422,
								["frameWidth"] = 100,
								["pos"] = 0,
								["point"] = "BOTTOM",
								["iconSize"] = 14,
								["frameHeight"] = 20.0000076293945,
								["fontSize"] = 10,
								["bgColor"] = {
									["b"] = 1,
									["g"] = 1,
									["r"] = 1,
								},
								["relPoint"] = "BOTTOM",
							}, -- [8]
							{
								["bgEnabled"] = false,
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = -1.07520961761475,
								["x"] = 6.56421661376953,
								["frameWidth"] = 110.000007629395,
								["pos"] = 0,
								["point"] = "BOTTOMLEFT",
								["iconSize"] = 14,
								["frameHeight"] = 20.0000095367432,
								["fontSize"] = 10,
								["bgColor"] = {
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["relPoint"] = "BOTTOMLEFT",
							}, -- [9]
							{
								["bgEnabled"] = false,
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = 0.0176687389612198,
								["x"] = 128.000091552734,
								["frameWidth"] = 110.000007629395,
								["pos"] = 0,
								["point"] = "BOTTOMLEFT",
								["iconSize"] = 14,
								["frameHeight"] = 20.0000076293945,
								["fontSize"] = 10,
								["bgColor"] = {
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["relPoint"] = "BOTTOMLEFT",
							}, -- [10]
							{
								["bgEnabled"] = false,
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = -1.07664382457733,
								["x"] = 248.342010498047,
								["frameWidth"] = 110.000007629395,
								["pos"] = 0,
								["point"] = "BOTTOMLEFT",
								["iconSize"] = 14,
								["frameHeight"] = 20.0000076293945,
								["fontSize"] = 10,
								["bgColor"] = {
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["relPoint"] = "BOTTOMLEFT",
							}, -- [11]
							{
								["bgEnabled"] = false,
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = -1.07664382457733,
								["x"] = -246.649841308594,
								["frameWidth"] = 109.999961853027,
								["pos"] = 0,
								["point"] = "BOTTOMRIGHT",
								["iconSize"] = 14,
								["frameHeight"] = 20.0000076293945,
								["fontSize"] = 10,
								["bgColor"] = {
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["relPoint"] = "BOTTOMRIGHT",
							}, -- [12]
							{
								["bgEnabled"] = false,
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = 0.0170223210006952,
								["x"] = -126.308204650879,
								["frameWidth"] = 109.999961853027,
								["pos"] = 0,
								["point"] = "BOTTOMRIGHT",
								["iconSize"] = 14,
								["frameHeight"] = 20.0000076293945,
								["fontSize"] = 10,
								["bgColor"] = {
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["relPoint"] = "BOTTOMRIGHT",
							}, -- [13]
							{
								["bgEnabled"] = false,
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = -1.0760692358017,
								["x"] = -5.96700620651245,
								["frameWidth"] = 109.999961853027,
								["pos"] = 0,
								["point"] = "BOTTOMRIGHT",
								["iconSize"] = 14,
								["frameHeight"] = 20.0000076293945,
								["fontSize"] = 10,
								["bgColor"] = {
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["relPoint"] = "BOTTOMRIGHT",
							}, -- [14]
							{
								["bgEnabled"] = false,
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = 1.4185266494751,
								["x"] = 6.56423377990723,
								["frameWidth"] = 110.000007629395,
								["pos"] = 0,
								["point"] = "TOPLEFT",
								["iconSize"] = 14,
								["frameHeight"] = 20.0000076293945,
								["fontSize"] = 10,
								["bgColor"] = {
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["relPoint"] = "TOPLEFT",
							}, -- [15]
							{
								["bgEnabled"] = false,
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = 0.324645102024078,
								["x"] = 125.81177520752,
								["frameWidth"] = 110.000007629395,
								["pos"] = 0,
								["point"] = "TOPLEFT",
								["iconSize"] = 14,
								["frameHeight"] = 20.0000076293945,
								["fontSize"] = 10,
								["bgColor"] = {
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["relPoint"] = "TOPLEFT",
							}, -- [16]
							{
								["bgEnabled"] = false,
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = 0.324788779020309,
								["x"] = 247.247741699219,
								["frameWidth"] = 110.000007629395,
								["pos"] = 0,
								["point"] = "TOPLEFT",
								["iconSize"] = 14,
								["frameHeight"] = 20.0000076293945,
								["fontSize"] = 10,
								["bgColor"] = {
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["relPoint"] = "TOPLEFT",
							}, -- [17]
							{
								["bgEnabled"] = false,
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = 0.324932396411896,
								["x"] = -329.623809814453,
								["frameWidth"] = 100.000038146973,
								["pos"] = 0,
								["bgColor"] = {
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["iconSize"] = 14,
								["frameHeight"] = 20.0000076293945,
								["fontSize"] = 10,
							}, -- [18]
							{
								["bgEnabled"] = false,
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = 1.4188140630722,
								["x"] = -219.128280639648,
								["frameWidth"] = 100.000038146973,
								["pos"] = 0,
								["bgColor"] = {
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["iconSize"] = 14,
								["frameHeight"] = 20.0000076293945,
								["fontSize"] = 10,
							}, -- [19]
							{
								["bgEnabled"] = false,
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = 1.4186704158783,
								["x"] = -108.631927490234,
								["frameWidth"] = 99.9999694824219,
								["pos"] = 0,
								["bgColor"] = {
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["iconSize"] = 14,
								["frameHeight"] = 20.0000076293945,
								["fontSize"] = 10,
							}, -- [20]
							{
								["bgEnabled"] = false,
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = 1.4189578294754,
								["x"] = 1.86290276050568,
								["frameWidth"] = 99.9999694824219,
								["pos"] = 0,
								["bgColor"] = {
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["iconSize"] = 14,
								["frameHeight"] = 20.0000076293945,
								["fontSize"] = 10,
							}, -- [21]
							{
								["bgEnabled"] = false,
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = 1.4187422990799,
								["x"] = 111.265357971191,
								["frameWidth"] = 100.000038146973,
								["pos"] = 0,
								["bgColor"] = {
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["iconSize"] = 14,
								["frameHeight"] = 20.0000076293945,
								["fontSize"] = 10,
							}, -- [22]
							{
								["bgEnabled"] = false,
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = 3.60672092437744,
								["x"] = 220.66682434082,
								["frameWidth"] = 100.000038146973,
								["pos"] = 0,
								["bgColor"] = {
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["iconSize"] = 14,
								["frameHeight"] = 20.0000076293945,
								["fontSize"] = 10,
							}, -- [23]
							{
								["bgEnabled"] = false,
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = 3.60686445236206,
								["x"] = 330.068206787109,
								["frameWidth"] = 100.000038146973,
								["pos"] = 0,
								["bgColor"] = {
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["iconSize"] = 14,
								["frameHeight"] = 20.0000076293945,
								["fontSize"] = 10,
							}, -- [24]
							{
								["bgEnabled"] = false,
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = 1.4188140630722,
								["x"] = -246.652572631836,
								["frameWidth"] = 109.999961853027,
								["pos"] = 0,
								["point"] = "TOPRIGHT",
								["iconSize"] = 14,
								["frameHeight"] = 20.0000076293945,
								["fontSize"] = 10,
								["bgColor"] = {
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["relPoint"] = "TOPRIGHT",
							}, -- [25]
							{
								["bgEnabled"] = false,
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = 1.4185266494751,
								["x"] = -127.401229858398,
								["frameWidth"] = 109.999961853027,
								["pos"] = 0,
								["point"] = "TOPRIGHT",
								["iconSize"] = 14,
								["frameHeight"] = 20.0000076293945,
								["fontSize"] = 10,
								["bgColor"] = {
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["relPoint"] = "TOPRIGHT",
							}, -- [26]
							{
								["bgEnabled"] = false,
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = 1.4186704158783,
								["x"] = -5.96671867370606,
								["frameWidth"] = 109.999961853027,
								["pos"] = 0,
								["point"] = "TOPRIGHT",
								["iconSize"] = 14,
								["frameHeight"] = 20.0000076293945,
								["fontSize"] = 10,
								["bgColor"] = {
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["relPoint"] = "TOPRIGHT",
							}, -- [27]
							{
								["bgEnabled"] = false,
								["centerSpacing"] = 2,
								["bgInset"] = 4,
								["y"] = -33.5897789001465,
								["x"] = 0.00020142323046457,
								["frameWidth"] = 360,
								["pos"] = 0,
								["point"] = "TOPLEFT",
								["iconSize"] = 14,
								["frameHeight"] = 20.0000076293945,
								["fontSize"] = 10,
								["bgColor"] = {
									["r"] = 1,
									["g"] = 1,
									["b"] = 1,
								},
								["relPoint"] = "TOPLEFT",
							}, -- [28]
						},
					},
				},
			}
			
		end
		
		for k,v in pairs(LCI_Bazooka_Install) do
			BazookaDB[k] = v
			LCI.db.global.addonProfileVersion.Bazooka = profileVersion
		end
		
	end
	
	if BazookaDB.profileKeys[CharInfo] == nil then
		tinsert(BazookaDB.profileKeys,CharInfo)
		BazookaDB.profileKeys[CharInfo] = "Default"
	elseif BazookaDB.profileKeys[CharInfo] ~= "Default" then
		BazookaDB.profileKeys[CharInfo] = "Default"
	end
end
