local profileVersion = GetAddOnMetadata("LCI", "Version")
local CharName = UnitName("player")
local ServerName = GetRealmName()
local CharInfo = CharName.." - "..ServerName

function LCI:Install_Broker_Garrison()
	if LCI.db.global.addonProfileVersion.Broker_Garrison ~= profileVersion then
	
		LCI_Broker_Garrison_Install = {
			["profiles"] = {
				["Default"] = {
					["general"] = {
						["showSeconds"] = false,
						["building"] = {
							["ldbTemplate"] = "custom",
							["ldbText"] = "WO: %sa% / %sr% / %sp%",
						},
						["hideGarrisonMinimapButton"] = true,
						["updateInCombat"] = false,
						["mission"] = {
							["ldbTemplate"] = "custom",
							["ldbText"] = "FM: %mc% / %mt% %mnt%",
						},
					},
					["display"] = {
						["fontName"] = "Friz Quadrata TT",
					},
				},
			},
		}			
		
		for k,v in pairs(LCI_Broker_Garrison_Install) do
			Broker_GarrisonDB[k] = v
			LCI.db.global.addonProfileVersion.Broker_Garrison = profileVersion
		end
	end
	
	if Broker_GarrisonDB.profileKeys[CharInfo] == nil then
		tinsert(Broker_GarrisonDB.profileKeys,CharInfo)
		Broker_GarrisonDB.profileKeys[CharInfo] = "Default"
	elseif Broker_GarrisonDB.profileKeys[CharInfo] ~= "Default" then
		Broker_GarrisonDB.profileKeys[CharInfo] = "Default"
	end
end