local profileVersion = GetAddOnMetadata("LCI", "Version")

function LCI:Install_DBM()
	if LCI.db.profile.addonCharProfileVersion.DBM ~= profileVersion then
		DBM_UsedProfile = "Default"
		DBM_UseDualProfile = true
		DBM_CharSavedRevision = 13634
		LCI.db.profile.addonCharProfileVersion.DBM = profileVersion
	end
	
	if LCI.db.global.addonProfileVersion.DBM ~= profileVersion then
		
		LCI_DBM_AllSavedOptions = {
			["Default"] = {
				["SpecialWarningFontSize"] = 50,
				["DontShowFarWarnings"] = true,
				["ChosenVoicePack"] = "None",
				["DontShowHudMap2"] = false,
				["AlwaysPlayVoice"] = false,
				["ShowSWarningsInChat"] = true,
				["HideApplicantAlerts"] = 0,
				["StatusEnabled"] = true,
				["DontRestoreIcons"] = false,
				["RangeFrameX"] = 50,
				["AlwaysShowSpeedKillTimer"] = true,
				["RangeFrameY"] = -50,
				["FilterSayAndYell"] = false,
				["EnableModels"] = true,
				["SpecialWarningFlashAlph3"] = 0.4,
				["ArrowPoint"] = "TOP",
				["ShowRecoveryMessage"] = true,
				["FakeBWVersion"] = false,
				["InfoFramePoint"] = "BOTTOMLEFT",
				["CRT_Enabled"] = false,
				["SpecialWarningFlashCol2"] = {
					1, -- [1]
					0.5, -- [2]
					0, -- [3]
				},
				["SpecialWarningPoint"] = "CENTER",
				["CheckGear"] = true,
				["SpecialWarningX"] = 0,
				["WorldBossAlert"] = false,
				["RaidWarningPosition"] = {
					["Y"] = -185,
					["X"] = 0,
					["Point"] = "TOP",
				},
				["DontShowPT2"] = false,
				["MCMessageShown"] = false,
				["DontSendBossWhispers"] = false,
				["ShowMinimapButton"] = false,
				["MoviesSeen"] = {
					["12082"] = true,
					["12084"] = true,
					["11751"] = true,
				},
				["SpecialWarningFlashCol4"] = {
					1, -- [1]
					0, -- [2]
					1, -- [3]
				},
				["ForumsMessageShown"] = 13591,
				["ShowWarningsInChat"] = true,
				["ShowCombatLogMessage"] = true,
				["SpecialWarningFontCol"] = {
					1, -- [1]
					0.7, -- [2]
					0, -- [3]
				},
				["WarningFontStyle"] = "None",
				["InfoFrameY"] = 204.503601074219,
				["ChatFrame"] = "DEFAULT_CHAT_FRAME",
				["WarningIconRight"] = true,
				["UseSoundChannel"] = "Master",
				["ShowCountdownText"] = false,
				["SpecialWarningDuration"] = 4,
				["PTCountThreshold"] = 5,
				["ShowFakedRaidWarnings"] = false,
				["FilterDispel"] = true,
				["ShowLoadMessage"] = true,
				["DontShowHealthFrame"] = false,
				["LFDEnhance"] = true,
				["SpecialWarningFlashDura1"] = 0.4,
				["DontShowPTNoID"] = false,
				["HideGarrisonToasts"] = true,
				["RangeFramePoint"] = "CENTER",
				["SpecialWarningFontShadow"] = false,
				["RLReadyCheckSound"] = true,
				["HideObjectivesFrame"] = true,
				["SpecialWarningFlashCol1"] = {
					1, -- [1]
					1, -- [2]
					0, -- [3]
				},
				["DontShowPTText"] = false,
				["SWarnClassColor"] = true,
				["AlwaysShowHealthFrame"] = false,
				["ChallengeBest"] = "Realm",
				["CountdownVoice2"] = "Kolt",
				["AutoAcceptGuildInvite"] = false,
				["ArrowPosX"] = 0,
				["SpecialWarningFlashDura3"] = 1,
				["MovieFilter"] = "AfterFirst",
				["HPFramePoint"] = "CENTER",
				["SpecialWarningSound4"] = "Sound\\Creature\\HoodWolf\\HoodWolfTransformPlayer01.ogg",
				["DisableSFX"] = false,
				["AutologBosses"] = false,
				["SpecialWarningFlashDura4"] = 0.7,
				["SpecialWarningFlashCol3"] = {
					1, -- [1]
					0, -- [2]
					0, -- [3]
				},
				["WarningColors"] = {
					{
						["b"] = 0.941176470588235,
						["g"] = 0.8,
						["r"] = 0.411764705882353,
					}, -- [1]
					{
						["b"] = 0,
						["g"] = 0.949019607843137,
						["r"] = 0.949019607843137,
					}, -- [2]
					{
						["b"] = 0,
						["g"] = 0.501960784313726,
						["r"] = 1,
					}, -- [3]
					{
						["b"] = 0.101960784313725,
						["g"] = 0.101960784313725,
						["r"] = 1,
					}, -- [4]
				},
				["ModelSoundValue"] = "Short",
				["FilterSelfHud"] = true,
				["FilterInterrupt"] = true,
				["RangeFrameRadarPoint"] = "TOPLEFT",
				["DontShowInfoFrame"] = false,
				["RangeFrameUpdates"] = "Average",
				["CountdownVoice3v2"] = "HoTS_R",
				["RaidWarningSound"] = "Sound\\Doodad\\BellTollNightElf.ogg",
				["CustomSounds"] = 0,
				["ShowTranscriptorMessage"] = true,
				["RoleSpecAlert"] = true,
				["WhisperStats"] = false,
				["VoiceOverSpecW2"] = "DefaultOnly",
				["DebugLevel"] = 1,
				["DontPlayPTCountdown"] = false,
				["ShowSpecialWarnings"] = true,
				["ShowKillMessage"] = true,
				["HealthFrameWidth"] = 200,
				["SpamBlockBossWhispers"] = true,
				["WarningIconLeft"] = true,
				["RangeFrameSound1"] = "none",
				["HPFrameY"] = 50,
				["WarningFontSize"] = 20,
				["ShowEngageMessage"] = true,
				["SpecialWarningFlashDura2"] = 0.4,
				["LastRevision"] = 0,
				["ShowAllVersions"] = true,
				["SettingsMessageShown"] = true,
				["PGMessageShown"] = false,
				["DontRestoreRange"] = false,
				["WarningFont"] = "Fonts\\FRIZQT__.TTF",
				["SpecialWarningY"] = 75,
				["DontSetIcons"] = false,
				["BigBrotherAnnounceToRaid"] = false,
				["RangeFrameRadarX"] = 372.957061767578,
				["CountdownVoice"] = "Corsica",
				["RangeFrameRadarY"] = -1000.53845214844,
				["SpecialWarningSound2"] = "Sound\\Creature\\AlgalonTheObserver\\UR_Algalon_BHole01.ogg",
				["SpecialWarningFlashRepeat2"] = false,
				["SpecialWarningSound"] = "Sound\\Spells\\PVPFlagTaken.ogg",
				["AutoRespond"] = true,
				["DisableStatusWhisper"] = false,
				["HealthFrameGrowUp"] = false,
				["ArrowPosY"] = -150,
				["RangeFrameFrames"] = "radar",
				["DontPlayCountdowns"] = false,
				["ShowBigBrotherOnCombatStart"] = false,
				["WarningPoint"] = "CENTER",
				["SpecialWarningFlashRepeat4"] = false,
				["SpecialWarningFlashAlph1"] = 0.3,
				["HealthFrameLocked"] = false,
				["FilterTankSpec"] = true,
				["DontShowRangeFrame"] = false,
				["SpecialWarningFlashRepeat3"] = true,
				["WarningDuration"] = 4,
				["WarningFontShadow"] = true,
				["HideTooltips"] = false,
				["RangeFrameSound2"] = "none",
				["HelpMessageShown3"] = false,
				["DontShowFlexMessage"] = false,
				["WarningY"] = 260,
				["WarningX"] = 0,
				["DontShowBossAnnounces"] = false,
				["WorldBossNearAlert"] = false,
				["HPFrameMaxEntries"] = 5,
				["SpecialWarningFlashAlph4"] = 0.4,
				["SpecialWarningFlashRepeatAmount"] = 2,
				["AutoAcceptFriendInvite"] = false,
				["WarningIconChat"] = true,
				["SpecialWarningFont"] = "Fonts\\FRIZQT__.TTF",
				["HideGuildChallengeUpdates"] = true,
				["DontShowCTCount"] = false,
				["SpecialWarningFontStyle"] = "THICKOUTLINE",
				["ShowPizzaMessage"] = true,
				["AdvancedAutologBosses"] = false,
				["SpecialWarningFlashRepeat1"] = false,
				["InfoFrameShowSelf"] = false,
				["SpecialWarningFlashAlph2"] = 0.3,
				["Enabled"] = true,
				["DebugMode"] = false,
				["HideBossEmoteFrame"] = true,
				["InfoFrameX"] = 221.409591674805,
				["RangeFrameLocked"] = true,
				["BugMessageShown"] = 2,
				["ShowWipeMessage"] = true,
				["LogOnlyRaidBosses"] = false,
				["StripServerName"] = true,
				["ShowGuildMessages"] = true,
				["DontShowPTCountdownText"] = false,
				["HPFrameX"] = -50,
				["SpecialWarningSound3"] = "Sound\\Creature\\KilJaeden\\KILJAEDEN02.ogg",
				["AFKHealthWarning"] = false,
				["LatencyThreshold"] = 250,
				["ShowFlashFrame"] = true,
			},
		}
		
		for k,v in pairs(LCI_DBM_AllSavedOptions) do
			DBM_AllSavedOptions[k] = v
		end
		
		LCI_DBT_AllPersistentOptions = {
			["Default"] = {
				["DBM"] = {
					["EndColorG"] = 0,
					["HugeTimerY"] = -170.918975830078,
					["Decimal"] = 60,
					["Scale"] = 0.899999976158142,
					["EnlargeBarsPercent"] = 0.125,
					["StartColorR"] = 1,
					["HugeWidth"] = 200,
					["BarYOffset"] = 0,
					["HugeBarXOffset"] = 0,
					["TimerY"] = 202.269226074219,
					["TimerX"] = -392.572082519531,
					["TimerPoint"] = "RIGHT",
					["StartColorG"] = 0.701960784313726,
					["HugeTimerX"] = 8.75213050842285,
					["HugeBarYOffset"] = 0,
					["EndColorR"] = 1,
					["Width"] = 183,
					["HugeTimerPoint"] = "TOP",
					["HugeScale"] = 1.04999995231628,
					["FontSize"] = 10,
					["EnlargeBarsTime"] = 8,
					["Height"] = 20,
					["StartColorB"] = 0,
					["BarXOffset"] = 0,
					["EndColorB"] = 0,
				},
			},
		}
		
		for k,v in pairs(LCI_DBT_AllPersistentOptions) do
			DBT_AllPersistentOptions[k] = v
		end
		
		LCI.db.global.addonProfileVersion.DBM = profileVersion
	end
end