local profileVersion = GetAddOnMetadata("LCI", "Version")
local TriggerName

function LCI:Install_MSBT()
	if not IsAddOnLoaded("MikScrollingBattleText") then return end

	if LCI.db.global.addonProfileVersion.MSBT ~= profileVersion then
	
		LCI_MSBT_Install = {
			["profiles"] = {
				["Default"] = {
					["critFontName"] = "Friz Quadrata TT",
					["critOutlineIndex"] = 2,
					["critFontSize"] = 14,
					["events"] = {
						["NOTIFICATION_ITEM_COOLDOWN"] = {
							["fontSize"] = 18,
						},
						["NOTIFICATION_PC_KILLING_BLOW"] = {
							["fontSize"] = 18,
						},
						["NOTIFICATION_PET_COOLDOWN"] = {
							["fontSize"] = false,
						},
						["NOTIFICATION_COOLDOWN"] = {
							["fontSize"] = false,
						},
					},
					["normalFontSize"] = 12,
					["scrollAreas"] = {
						["Notification"] = {
							["offsetY"] = 165,
							["scrollHeight"] = 155,
						},
						["Incoming"] = {
							["offsetX"] = -365,
							["offsetY"] = -130,
						},
						["Outgoing"] = {
							["offsetX"] = 324,
							["offsetY"] = -130,
						},
						["Static"] = {
							["scrollHeight"] = 100,
							["offsetY"] = -200,
						},
					},
					["normalFontName"] = "Friz Quadrata TT",
					["normalOutlineIndex"] = 2,
					["triggers"] = {
						["MSBT_TRIGGER_KILL_SHOT"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_DECIMATION"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_ELUSIVE_BREW"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_BERSERK"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_SWORD_AND_BOARD"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_RIME"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_THE_ART_OF_WAR"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_VITAL_MISTS"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_FINGERS_OF_FROST"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_MANA_TEA"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_BLINDSIDE"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_EXECUTE"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_LOW_HEALTH"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_LOCK_AND_LOAD"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_TIDAL_WAVES"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_ULTIMATUM"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_NIGHTFALL"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_LAVA_SURGE"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_SUDDEN_DEATH"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_MAELSTROM_WEAPON"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_SHOOTING_STARS"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_BLOODSURGE"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_KILLING_MACHINE"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_BRAIN_FREEZE"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_MISSILE_BARRAGE"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_VICTORY_RUSH"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_SHADOW_INFUSION"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_CLEARCASTING"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_PREDATORS_SWIFTNESS"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_PVP_TRINKET"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_MOLTEN_CORE"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_HAMMER_OF_WRATH"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_REVENGE"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_LOW_PET_HEALTH"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_LOW_MANA"] = {
							["fontSize"] = false,
						},
						["MSBT_TRIGGER_TASTE_FOR_BLOOD"] = {
							["fontSize"] = false,
						},
					},
				},
			},
		}			
		
		for k,v in pairs(LCI_MSBT_Install) do
			MSBTProfiles_SavedVars[k] = v
			LCI.db.global.addonProfileVersion.MSBT = profileVersion
		end

	end
end