local profileVersion = GetAddOnMetadata("LCI", "Version")
local CharName = UnitName("player")
local ServerName = GetRealmName()
local CharInfo = CharName.." - "..ServerName

function LCI:Install_Quartz()
	if not IsAddOnLoaded("Quartz") then return end

	if LCI.db.global.addonProfileVersion.Quartz ~= profileVersion then
	
		-- [[1920x1080 Settings]] --	
		LCI_Quartz_Install = {
			["namespaces"] = {
				["Swing"] = {
				},
				["Buff"] = {
				},
				["Interrupt"] = {
				},
				["Flight"] = {
				},
				["Pet"] = {
					["profiles"] = {
						["Default"] = {
							["x"] = 950.256469726562,
							["scale"] = 0.2,
							["alpha"] = 0.1,
						},
					},
				},
				["EnemyCasts"] = {
				},
				["Player"] = {
					["profiles"] = {
						["Default"] = {
							["h"] = 20,
							["w"] = 151,
							["hideicon"] = true,
							["border"] = "None",
							["x"] = 845,
							["texture"] = "Smooth",
							["y"] = 105,
						},
					},
				},
				["GCD"] = {
				},
				["Focus"] = {
					["profiles"] = {
						["Default"] = {
							["scale"] = 0.2,
							["x"] = 950.256469726562,
							["alpha"] = 0.1,
						},
					},
				},
				["Target"] = {
					["profiles"] = {
						["Default"] = {
							["h"] = 20,
							["w"] = 151,
							["hideicon"] = true,
							["iconposition"] = "left",
							["border"] = "None",
							["texture"] = "Smooth",
							["x"] = 1095,
							["y"] = 105,
						},
					},
				},
				["Range"] = {
				},
				["Mirror"] = {
					["profiles"] = {
						["Default"] = {
							["mirroricons"] = false,
							["mirroroffset"] = 35,
							["mirroranchor"] = "free",
							["mirrory"] = 1068,
							["mirrorgap"] = 25,
							["mirrortexture"] = "Smooth",
							["mirrorx"] = 988.991149902344,
							["mirroralpha"] = 0.9,
						},
					},
				},
				["Latency"] = {
					["profiles"] = {
						["Default"] = {
							["lagtext"] = false,
						},
					},
				},
			},
			["profiles"] = {
				["Default"] = {
					["modules"] = {
						["Swing"] = false,
						["GCD"] = false,
						["Buff"] = false,
						["Timer"] = false,
						["Pet"] = false,
						["Focus"] = false,
					},
				},
			},
		}
		
		for k,v in pairs(LCI_Quartz_Install) do
			Quartz3DB[k] = v
			LCI.db.global.addonProfileVersion.Quartz = profileVersion
		end
	end
	
	if Quartz3DB.profileKeys[CharInfo] == nil then
		tinsert(Quartz3DB.profileKeys,CharInfo)
		Quartz3DB.profileKeys[CharInfo] = "Default"
	elseif Quartz3DB.profileKeys[CharInfo] ~= "Default" then
		Quartz3DB.profileKeys[CharInfo] = "Default"
	end
end