local profileVersion = GetAddOnMetadata("LCI", "Version")
local CharName = UnitName("player")
local ServerName = GetRealmName()
local CharInfo = CharName.." - "..ServerName

function LCI:Install_Skada()
	if LCI.db.global.addonProfileVersion.Skada ~= profileVersion then
	
		LCI_Skada_Install = {
			["namespaces"] = {
				["LibDualSpec-1.0"] = {
				},
			},
			["hasUpgraded"] = true,   
			["profiles"] = {
				["Default"] = {
					["windows"] = {
						{
							["y"] = 95.8290557861328,
							["x"] = -105.368041992188,
							["point"] = "BOTTOMRIGHT",
							["set"] = 1,
							["mode"] = "DPS",
						}, -- [1]
					},
				},
				["LCI"] = {
					["windows"] = {
						{
							["barslocked"] = true,
							["y"] = 33.4702110290527,
							["barfont"] = "Friz Quadrata TT",
							["title"] = {
								["font"] = "Friz Quadrata TT",
							},
							["barfontflags"] = "OUTLINE",
							["point"] = "BOTTOMRIGHT",
							["mode"] = "DPS",
							["bartexture"] = "Minimalist",
							["barwidth"] = 182.017028808594,
							["barcolor"] = {
								["a"] = 0.490886092185974,
								["g"] = 0.301960784313726,
								["r"] = 0.301960784313726,
							},
							["barfontsize"] = 10,
							["background"] = {
								["height"] = 150.769332885742,
							},
							["x"] = 0,
						}, -- [1]
					},
					["columns"] = {
						["Healing_Healing"] = false,
						["Healing_Percent"] = false,
					},
					["setformat"] = 2,
				},
			},    
		}			
		
		for k,v in pairs(LCI_Skada_Install) do
			SkadaDB[k] = v
			LCI.db.global.addonProfileVersion.Skada = profileVersion
		end
	end
	
	if SkadaDB.profileKeys[CharInfo] == nil then
		tinsert(SkadaDB.profileKeys,CharInfo)
		SkadaDB.profileKeys[CharInfo] = "LCI"
	elseif SkadaDB.profileKeys[CharInfo] ~= "LCI" then
		SkadaDB.profileKeys[CharInfo] = "LCI"
	end
end