-- [[Variables]] --
local alignGrid

-- [[Alignment Grid]] --
function LCI:Align()
	if alignGrid then
		alignGrid:Hide()
		alignGrid = nil		
	else
		alignGrid = CreateFrame('Frame', nil, UIParent) 
		alignGrid:SetAllPoints(UIParent)
		local w = GetScreenWidth() / 64
		local h = GetScreenHeight() / 36
		for i = 0, 64 do
			local t = alignGrid:CreateTexture(nil, 'BACKGROUND')
			if i == 32 then
				t:SetTexture(1, 0, 0, 0.5)
			else
				t:SetTexture(0, 0, 0, 0.5)
			end
			t:SetPoint('TOPLEFT', alignGrid, 'TOPLEFT', i * w - 1, 0)
			t:SetPoint('BOTTOMRIGHT', alignGrid, 'BOTTOMLEFT', i * w + 1, 0)
		end
		for i = 0, 36 do
			local t = alignGrid:CreateTexture(nil, 'BACKGROUND')
			if i == 18 then
				t:SetTexture(1, 0, 0, 0.5)
			else
				t:SetTexture(0, 0, 0, 0.5)
			end
			t:SetPoint('TOPLEFT', alignGrid, 'TOPLEFT', 0, -i * h + 1)
			t:SetPoint('BOTTOMRIGHT', alignGrid, 'TOPRIGHT', 0, -i * h - 1)
		end	
	end
end

-- [[Ready Check]] --
function LCI:ReadyCheck()
	DoReadyCheck()
end

-- [[Reload the UI]] --
function LCI:Reload()
	ReloadUI()
end