-- [[Resources]] --
local LCI_Media = "Interface\\AddOns\\LCI\\Media\\"

--[[Button Function]] --
local function Button_OnEnter(self)
	self:GetNormalTexture():SetVertexColor(1, 0, 1)
end

local function Button_OnLeave(self)
	self:GetNormalTexture():SetVertexColor(1, 1, 1)
end

-- [[Top Bar Frame]] --
function LCI:TopBar()
	LCI_TopBar = CreateFrame("Frame", "LCI_TopBar", UIParent)
	LCI_TopBar:SetPoint("TOP", UIParent, "TOP")
	LCI_TopBar:SetSize(1500, 64)
	-- [[1920x1080 Settings]] --
	if LCI.db.profile.ResTypeSet == "1920x1080" then
		LCI_TopBar:SetScale(1)
	-- [[1600x1200 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1600x1200" then
	-- [[1600x1024 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1600x1024" then
	-- [[1600x900 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1600x900" then
	-- [[1440x900 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1440x900" then
	-- [[1400x1050 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1400x1050" then
	-- [[1366x768 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1366x768" then
	-- [[1360x768 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1360x768" then
	-- [[1280x1024 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1280x1024" then
	-- [[1280x800 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1280x800" then
	-- [[1280x768 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1280x768" then
	-- [[1280x720 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1280x720" then
	-- [[1176x664 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1176x664" then
	-- [[1152x864 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1152x864" then
	-- [[1024x768 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1024x768" then
	-- [[800x600 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "800x600" then
	-- [[720x576 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "720x576" then
	end
	LCI_TopBar:SetFrameStrata("BACKGROUND")
	LCI_TopBar:SetFrameLevel("4")
	
	LCI_TopBar.bg = LCI_TopBar:CreateTexture(nil, "ARTWORK")
	LCI_TopBar.bg:SetTexture(LCI_Media .. "bar_top")
	LCI_TopBar.bg:SetPoint("TOP", UIParent, "TOP")
	LCI_TopBar.bg:SetSize(1024, 64)
		-- [[1920x1080 Settings]] --
	if LCI.db.profile.ResTypeSet == "1920x1080" then
	-- [[1600x1200 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1600x1200" then
	-- [[1600x1024 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1600x1024" then
	-- [[1600x900 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1600x900" then
	-- [[1440x900 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1440x900" then
	-- [[1400x1050 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1400x1050" then
	-- [[1366x768 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1366x768" then
	-- [[1360x768 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1360x768" then
	-- [[1280x1024 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1280x1024" then
	-- [[1280x800 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1280x800" then
	-- [[1280x768 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1280x768" then
	-- [[1280x720 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1280x720" then
	-- [[1176x664 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1176x664" then
	-- [[1152x864 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1152x864" then
	-- [[1024x768 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "1024x768" then
	-- [[800x600 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "800x600" then
	-- [[720x576 Settings]] --
	elseif LCI.db.profile.ResTypeSet == "720x576" then
	end
end

-- [[Top Button Panel]] --
function LCI:TopButtonPanel()
	-- [[Top Button Panel]] --
	LCI_TopButtonPanel = CreateFrame("Frame", "LCI_TopButtonPanel", LCI_TopBar)
	LCI_TopButtonPanel:SetPoint("BOTTOM")
	LCI_TopButtonPanel:SetSize(512, 64)
	if LCI.db.profile.ResTypeSet == "1920x1080" then
		LCI_TopButtonPanel:SetScale(1)
	end
	LCI_TopButtonPanel:SetFrameStrata("BACKGROUND")
	LCI_TopButtonPanel:SetFrameLevel("1")
	
	LCI_TopButtonPanel.bg = LCI_TopButtonPanel:CreateTexture(nil, "ARTWORK")
	LCI_TopButtonPanel.bg:SetTexture(LCI_Media .. "bg_topbuttonpanel")
	LCI_TopButtonPanel.bg:SetPoint("BOTTOM", 0, -15)
	LCI_TopButtonPanel.bg:SetSize(512, 64)	
end