local profileVersion = GetAddOnMetadata("LCI", "Version")
local CharName = UnitName("player")
local ServerName = GetRealmName()
local CharInfo = CharName.." - "..ServerName

function LCI:Install_ShadowedUnitFrames()
	if not IsAddOnLoaded("ShadowedUnitFrames") then return end

	if LCI.db.global.addonProfileVersion.ShadowedUnitFrames ~= profileVersion then
	
		-- [[1920x1080 Settings]] --
		if LCI.db.profile.ResTypeSet == "1920x1080" then
			LCI_ShadowedUnitFrames_Install = {
				["profiles"] = {
					["LCI"] = {
						["powerColors"] = {
							["FUEL"] = {
								["r"] = 0.85,
								["g"] = 0.47,
								["b"] = 0.36,
							},
							["SHADOWORBS"] = {
								["r"] = 0.58,
								["g"] = 0.51,
								["b"] = 0.79,
							},
							["LIGHTWELL"] = {
								["r"] = 0.8,
								["g"] = 0.8,
								["b"] = 0.8,
							},
							["BANKEDHOLYPOWER"] = {
								["r"] = 0.96,
								["g"] = 0.61,
								["b"] = 0.84,
							},
							["FOCUS"] = {
								["r"] = 1,
								["g"] = 0.5,
								["b"] = 0.25,
							},
							["DEMONICFURY"] = {
								["r"] = 0.58,
								["g"] = 0.51,
								["b"] = 0.79,
							},
							["FULLBURNINGEMBER"] = {
								["r"] = 0.88,
								["g"] = 0.09,
								["b"] = 0.062,
							},
							["STAGGER_RED"] = {
								["r"] = 1,
								["g"] = 0.42,
								["b"] = 0.42,
							},
							["STAGGER_GREEN"] = {
								["r"] = 0.52,
								["g"] = 1,
								["b"] = 0.52,
							},
							["COMBOPOINTS"] = {
								["r"] = 1,
								["g"] = 0.8,
								["b"] = 0,
							},
							["RUNES"] = {
								["r"] = 0.5,
								["g"] = 0.5,
								["b"] = 0.5,
							},
							["RUNEOFPOWER"] = {
								["r"] = 0.35,
								["g"] = 0.45,
								["b"] = 0.6,
							},
							["ENERGY"] = {
								["r"] = 1,
								["g"] = 0.85,
								["b"] = 0.1,
							},
							["MANA"] = {
								["r"] = 0.3,
								["g"] = 0.5,
								["b"] = 0.85,
							},
							["AURAPOINTS"] = {
								["r"] = 1,
								["g"] = 0.8,
								["b"] = 0,
							},
							["CHI"] = {
								["r"] = 0.71,
								["g"] = 1,
								["b"] = 0.92,
							},
							["POWER_TYPE_FEL_ENERGY"] = {
								["r"] = 0.878,
								["g"] = 0.98,
								["b"] = 0,
							},
							["ALTERNATE"] = {
								["r"] = 0.815,
								["g"] = 0.941,
								["b"] = 1,
							},
							["ECLIPSE_MOON"] = {
								["r"] = 0.3,
								["g"] = 0.52,
								["b"] = 0.9,
							},
							["SOULSHARDS"] = {
								["r"] = 0.58,
								["g"] = 0.51,
								["b"] = 0.79,
							},
							["ECLIPSE_SUN"] = {
								["r"] = 1,
								["g"] = 1,
								["b"] = 0,
							},
							["RUNIC_POWER"] = {
								["b"] = 0.6,
								["g"] = 0.45,
								["r"] = 0.35,
							},
							["AMMOSLOT"] = {
								["r"] = 0.85,
								["g"] = 0.6,
								["b"] = 0.55,
							},
							["BURNINGEMBERS"] = {
								["r"] = 0.58,
								["g"] = 0.51,
								["b"] = 0.79,
							},
							["STATUE"] = {
								["r"] = 0.35,
								["g"] = 0.45,
								["b"] = 0.6,
							},
							["MUSHROOMS"] = {
								["r"] = 0.2,
								["g"] = 0.9,
								["b"] = 0.2,
							},
							["HOLYPOWER"] = {
								["r"] = 0.95,
								["g"] = 0.9,
								["b"] = 0.6,
							},
							["STAGGER_YELLOW"] = {
								["r"] = 1,
								["g"] = 0.98,
								["b"] = 0.72,
							},
							["RAGE"] = {
								["r"] = 0.9,
								["g"] = 0.2,
								["b"] = 0.3,
							},
						},
						["advanced"] = true,
						["healthColors"] = {
							["neutral"] = {
								["r"] = 0.93,
								["g"] = 0.93,
								["b"] = 0,
							},
							["yellow"] = {
								["r"] = 0.93,
								["g"] = 0.93,
								["b"] = 0,
							},
							["aggro"] = {
								["r"] = 0.9,
								["g"] = 0,
								["b"] = 0,
							},
							["static"] = {
								["r"] = 0.7,
								["g"] = 0.2,
								["b"] = 0.9,
							},
							["friendly"] = {
								["r"] = 0.2,
								["g"] = 0.9,
								["b"] = 0.2,
							},
							["offline"] = {
								["r"] = 0.5,
								["g"] = 0.5,
								["b"] = 0.5,
							},
							["incAbsorb"] = {
								["r"] = 0.93,
								["g"] = 0.75,
								["b"] = 0.09,
							},
							["tapped"] = {
								["r"] = 0.5,
								["g"] = 0.5,
								["b"] = 0.5,
							},
							["hostile"] = {
								["r"] = 0.9,
								["g"] = 0,
								["b"] = 0,
							},
							["green"] = {
								["r"] = 0.2,
								["g"] = 0.9,
								["b"] = 0.2,
							},
							["enemyUnattack"] = {
								["r"] = 0.6,
								["g"] = 0.2,
								["b"] = 0.2,
							},
							["healAbsorb"] = {
								["r"] = 0.68,
								["g"] = 0.47,
								["b"] = 1,
							},
							["inc"] = {
								["r"] = 0,
								["g"] = 0.35,
								["b"] = 0.23,
							},
							["red"] = {
								["r"] = 0.9,
								["g"] = 0,
								["b"] = 0,
							},
						},
						["xpColors"] = {
							["normal"] = {
								["r"] = 0.58,
								["g"] = 0,
								["b"] = 0.55,
							},
							["rested"] = {
								["r"] = 0,
								["g"] = 0.39,
								["b"] = 0.88,
							},
						},
						["locked"] = true,
						["positions"] = {
							["arenatarget"] = {
								["anchorPoint"] = "RT",
								["anchorTo"] = "$parent",
							},
							["mainassisttarget"] = {
								["anchorPoint"] = "RT",
								["anchorTo"] = "$parent",
							},
							["targettargettarget"] = {
								["anchorPoint"] = "RC",
								["anchorTo"] = "#SUFUnittargettarget",
							},
							["arenatargettarget"] = {
								["anchorPoint"] = "RT",
								["anchorTo"] = "$parent",
							},
							["pettarget"] = {
								["anchorPoint"] = "C",
							},
							["arenapet"] = {
								["anchorPoint"] = "RB",
								["anchorTo"] = "$parent",
							},
							["mainassisttargettarget"] = {
								["anchorPoint"] = "RT",
								["x"] = 150,
								["anchorTo"] = "$parent",
							},
							["party"] = {
								["y"] = -60,
								["point"] = "TOPLEFT",
								["relativePoint"] = "TOPLEFT",
								["movedAnchor"] = "TL",
								["anchorTo"] = "#SUFUnitplayer",
							},
							["maintanktargettarget"] = {
								["anchorPoint"] = "RT",
								["x"] = 150,
								["anchorTo"] = "$parent",
							},
							["focus"] = {
								["point"] = "BOTTOM",
								["relativePoint"] = "BOTTOM",
								["y"] = 45.4999983310699,
							},
							["target"] = {
								["anchorPoint"] = "BC",
								["x"] = 94.2499965429306,
								["y"] = 103.999996185303,
							},
							["raid"] = {
								["anchorPoint"] = "C",
							},
							["battlegroundtarget"] = {
								["anchorPoint"] = "RT",
								["anchorTo"] = "$parent",
							},
							["partytargettarget"] = {
								["anchorPoint"] = "RT",
								["anchorTo"] = "$parent",
							},
							["arena"] = {
								["y"] = 518.069500040292,
								["x"] = 1187.77212440153,
								["point"] = "TOPLEFT",
								["relativePoint"] = "BOTTOMLEFT",
								["top"] = 518.069500040292,
								["bottom"] = 306.819487952471,
							},
							["battlegroundtargettarget"] = {
								["anchorPoint"] = "RT",
								["anchorTo"] = "$parent",
							},
							["bosstargettarget"] = {
								["anchorPoint"] = "RB",
								["anchorTo"] = "$parent",
							},
							["focustarget"] = {
								["anchorPoint"] = "TL",
								["anchorTo"] = "#SUFUnitfocus",
							},
							["bosstarget"] = {
								["anchorPoint"] = "RB",
								["anchorTo"] = "$parent",
							},
							["battlegroundpet"] = {
								["anchorPoint"] = "RB",
								["anchorTo"] = "$parent",
							},
							["targettarget"] = {
								["y"] = 103.999996185303,
								["x"] = 188.499993085861,
								["anchorPoint"] = "BC",
							},
							["mainassist"] = {
								["anchorPoint"] = "C",
							},
							["player"] = {
								["anchorPoint"] = "BC",
								["x"] = -94.2499965429306,
								["y"] = 103.999996185303,
							},
							["maintanktarget"] = {
								["anchorPoint"] = "RT",
								["anchorTo"] = "$parent",
							},
							["pet"] = {
								["anchorPoint"] = "BC",
								["x"] = -188.499993085861,
								["y"] = 103.999996185303,
							},
							["raidpet"] = {
								["anchorPoint"] = "C",
							},
							["maintank"] = {
								["anchorPoint"] = "C",
							},
							["boss"] = {
								["top"] = 516.244390243956,
								["x"] = 1209.51133869203,
								["point"] = "TOPLEFT",
								["relativePoint"] = "BOTTOMLEFT",
								["y"] = 516.244390243956,
								["bottom"] = 334.244396919676,
							},
							["battleground"] = {
								["anchorPoint"] = "C",
							},
						},
						["revision"] = 53,
						["wowBuild"] = 60100,
						["castColors"] = {
							["cast"] = {
								["r"] = 1,
								["g"] = 0.7,
								["b"] = 0.3,
							},
							["finished"] = {
								["r"] = 0.1,
								["g"] = 1,
								["b"] = 0.1,
							},
							["channel"] = {
								["r"] = 0.25,
								["g"] = 0.25,
								["b"] = 1,
							},
							["uninterruptible"] = {
								["r"] = 0.71,
								["g"] = 0,
								["b"] = 1,
							},
							["interrupted"] = {
								["r"] = 1,
								["g"] = 0,
								["b"] = 0,
							},
						},
						["loadedLayout"] = true,
						["backdrop"] = {
							["clip"] = 1,
							["edgeSize"] = 5,
							["tileSize"] = 1,
							["borderTexture"] = "None",
							["inset"] = 3,
							["backgroundTexture"] = "Chat Frame",
							["backgroundColor"] = {
								["a"] = 0.8,
								["r"] = 0,
								["g"] = 0,
								["b"] = 0,
							},
							["borderColor"] = {
								["a"] = 1,
								["r"] = 0.3,
								["g"] = 0.3,
								["b"] = 0.5,
							},
						},
						["units"] = {
							["arenatarget"] = {
								["highlight"] = {
									["size"] = 10,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["auras"] = {
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["y"] = 0,
										["x"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["y"] = 0,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["text"] = {
									{
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [1]
									{
										["text"] = "[curhp]",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [2]
									{
										["text"] = "",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["text"] = "",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["text"] = "[name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["width"] = 90,
								["height"] = 25,
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 0.6,
									["background"] = true,
									["order"] = 20,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
							},
							["mainassisttarget"] = {
								["highlight"] = {
									["size"] = 10,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["auras"] = {
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["y"] = 0,
										["x"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["y"] = 0,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["text"] = {
									{
										["text"] = "[(()afk() )][name]",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [1]
									{
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [2]
									{
										["text"] = "[level( )][classification( )][perpp]",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["text"] = "[(()afk() )][name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["width"] = 150,
								["height"] = 40,
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 1,
									["background"] = true,
									["order"] = 20,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
							},
							["targettargettarget"] = {
								["enabled"] = false,
								["auras"] = {
									["height"] = 0.5,
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["y"] = 0,
										["x"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["y"] = 0,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "RIGHT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["highlight"] = {
									["height"] = 0.5,
									["size"] = 10,
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["range"] = {
									["height"] = 0.5,
								},
								["width"] = 80,
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["text"] = {
									{
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [1]
									{
										["text"] = "",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [2]
									{
										["text"] = "",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["text"] = "",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["width"] = 1,
										["x"] = 3,
										["default"] = true,
										["anchorPoint"] = "CLI",
									}, -- [5]
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["height"] = 0.5,
								},
								["height"] = 30,
								["auraIndicators"] = {
									["height"] = 0.5,
								},
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 0.6,
									["background"] = true,
									["order"] = 20,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
							},
							["partytarget"] = {
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["auras"] = {
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["y"] = 0,
										["x"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["y"] = 0,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 0.6,
									["background"] = true,
									["order"] = 20,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
								["text"] = {
									{
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [1]
									{
										["text"] = "[curhp]",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [2]
									{
										["text"] = "",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["text"] = "",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["text"] = "[name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
								["width"] = 90,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["height"] = 25,
								["highlight"] = {
									["size"] = 10,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
							},
							["arenatargettarget"] = {
								["highlight"] = {
									["size"] = 10,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["auras"] = {
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["y"] = 0,
										["x"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["y"] = 0,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["text"] = {
									{
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [1]
									{
										["text"] = "[curhp]",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [2]
									{
										["text"] = "",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["text"] = "",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["text"] = "[name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["width"] = 90,
								["height"] = 25,
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 0.6,
									["background"] = true,
									["order"] = 20,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
							},
							["battlegroundtarget"] = {
								["highlight"] = {
									["size"] = 10,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["auras"] = {
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["y"] = 0,
										["x"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["y"] = 0,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["text"] = {
									{
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [1]
									{
										["text"] = "[curhp]",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [2]
									{
										["text"] = "",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["text"] = "",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["text"] = "[name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["width"] = 90,
								["height"] = 25,
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 0.6,
									["background"] = true,
									["order"] = 20,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
							},
							["arenapet"] = {
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["auras"] = {
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["y"] = 0,
										["x"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["y"] = 0,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 0.6,
									["background"] = true,
									["order"] = 20,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
								["text"] = {
									{
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [1]
									{
										["text"] = "[curhp]",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [2]
									{
										["text"] = "",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["text"] = "",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["text"] = "[name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
								["width"] = 90,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["height"] = 25,
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
								},
								["highlight"] = {
									["size"] = 10,
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
							},
							["mainassisttargettarget"] = {
								["highlight"] = {
									["size"] = 10,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["auras"] = {
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["y"] = 0,
										["x"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["y"] = 0,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["text"] = {
									{
										["text"] = "[(()afk() )][name]",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [1]
									{
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [2]
									{
										["text"] = "[level( )][classification( )][perpp]",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["text"] = "[(()afk() )][name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["width"] = 150,
								["height"] = 40,
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 1,
									["background"] = true,
									["order"] = 20,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
							},
							["party"] = {
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["lfdRole"] = {
										["y"] = 14,
										["x"] = 3,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BR",
										["size"] = 14,
									},
									["phase"] = {
										["anchorPoint"] = "RC",
										["x"] = -11,
										["anchorTo"] = "$parent",
										["size"] = 14,
									},
									["masterLoot"] = {
										["y"] = -10,
										["x"] = 16,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 12,
									},
									["leader"] = {
										["y"] = -12,
										["x"] = 2,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 14,
									},
									["role"] = {
										["y"] = -11,
										["x"] = 30,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 14,
									},
									["ready"] = {
										["y"] = 0,
										["x"] = 35,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LC",
										["size"] = 24,
									},
									["resurrect"] = {
										["y"] = -1,
										["x"] = 37,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LC",
										["size"] = 28,
									},
									["height"] = 0.5,
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["status"] = {
										["y"] = -2,
										["x"] = 12,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LB",
										["size"] = 16,
									},
									["pvp"] = {
										["y"] = -21,
										["x"] = 11,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TR",
										["size"] = 22,
									},
								},
								["range"] = {
									["height"] = 0.5,
								},
								["auras"] = {
									["height"] = 0.5,
									["debuffs"] = {
										["enabled"] = true,
										["y"] = 0,
										["x"] = 0,
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["buffs"] = {
										["enabled"] = true,
										["y"] = 0,
										["x"] = 0,
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 60,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["portrait"] = {
									["enabled"] = true,
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 50,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["auraIndicators"] = {
									["height"] = 0.5,
								},
								["incAbsorb"] = {
									["height"] = 0.5,
									["cap"] = 1,
								},
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 1,
									["background"] = true,
									["order"] = 20,
								},
								["enabled"] = false,
								["offset"] = 23,
								["incHeal"] = {
									["height"] = 0.5,
									["cap"] = 1,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
								["attribAnchorPoint"] = "LEFT",
								["fader"] = {
									["height"] = 0.5,
								},
								["unitsPerColumn"] = 5,
								["height"] = 45,
								["width"] = 190,
								["text"] = {
									{
										["text"] = "[(()afk() )][name]",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [1]
									{
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [2]
									{
										["text"] = "[level( )][perpp]",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["text"] = "[(()afk() )][name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["combatText"] = {
									["height"] = 0.5,
								},
								["columnSpacing"] = 30,
								["healAbsorb"] = {
									["height"] = 0.5,
									["cap"] = 1,
								},
								["highlight"] = {
									["height"] = 0.5,
									["size"] = 10,
								},
								["attribPoint"] = "TOP",
							},
							["maintanktargettarget"] = {
								["highlight"] = {
									["size"] = 10,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["auras"] = {
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["y"] = 0,
										["x"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["y"] = 0,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["text"] = {
									{
										["text"] = "[(()afk() )][name]",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [1]
									{
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [2]
									{
										["text"] = "[classification( )][perpp]",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["text"] = "[(()afk() )][name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["width"] = 150,
								["height"] = 40,
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 1,
									["background"] = true,
									["order"] = 20,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
							},
							["focus"] = {
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["lfdRole"] = {
										["y"] = 14,
										["x"] = 3,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BR",
										["size"] = 14,
									},
									["resurrect"] = {
										["enabled"] = false,
										["x"] = 37,
										["anchorTo"] = "$parent",
										["y"] = -1,
										["anchorPoint"] = "LC",
										["size"] = 28,
									},
									["masterLoot"] = {
										["y"] = -10,
										["x"] = 16,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["enabled"] = false,
										["size"] = 12,
									},
									["leader"] = {
										["y"] = -12,
										["x"] = 2,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["enabled"] = false,
										["size"] = 14,
									},
									["questBoss"] = {
										["y"] = 14,
										["x"] = 7,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BR",
										["enabled"] = false,
										["size"] = 22,
									},
									["status"] = {
										["y"] = -2,
										["x"] = 12,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LB",
										["size"] = 16,
									},
									["height"] = 0.5,
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["role"] = {
										["y"] = -11,
										["x"] = 30,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["enabled"] = false,
										["size"] = 14,
									},
									["pvp"] = {
										["y"] = -21,
										["x"] = 11,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TR",
										["enabled"] = false,
										["size"] = 22,
									},
								},
								["range"] = {
									["height"] = 0.5,
								},
								["auras"] = {
									["height"] = 0.5,
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["y"] = 0,
										["x"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["y"] = 0,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 60,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["auraIndicators"] = {
									["height"] = 0.5,
								},
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 1,
									["background"] = true,
									["order"] = 20,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
								["incAbsorb"] = {
									["enabled"] = false,
									["height"] = 0.5,
								},
								["text"] = {
									{
										["text"] = "[afk][( )smartlevel][( )name]",
										["width"] = 0.5,
										["anchorPoint"] = "TL",
										["x"] = -1,
										["default"] = true,
										["y"] = 2,
									}, -- [1]
									{
										["text"] = "[perhp]",
										["width"] = 0.6,
										["y"] = 0,
										["x"] = 0,
										["default"] = true,
									}, -- [2]
									{
										["text"] = "",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["text"] = "[hp:color][( )perpp]",
										["width"] = 0.6,
										["y"] = 0,
										["x"] = 0,
										["default"] = true,
									}, -- [4]
									{
										["text"] = "[(()afk() )][name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 50,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["width"] = 80,
								["fader"] = {
									["height"] = 0.5,
								},
								["incHeal"] = {
									["enabled"] = false,
									["height"] = 0.5,
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["enabled"] = false,
									["order"] = 100,
								},
								["combatText"] = {
									["enabled"] = false,
									["height"] = 0.5,
								},
								["height"] = 35,
								["healAbsorb"] = {
									["enabled"] = false,
									["cap"] = 1,
									["height"] = 0.5,
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["highlight"] = {
									["height"] = 0.5,
									["size"] = 10,
								},
							},
							["target"] = {
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["lfdRole"] = {
										["y"] = 14,
										["x"] = 3,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BR",
										["size"] = 14,
									},
									["resurrect"] = {
										["y"] = -1,
										["x"] = -39,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "RC",
										["size"] = 28,
									},
									["masterLoot"] = {
										["y"] = -10,
										["x"] = 16,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 12,
									},
									["leader"] = {
										["y"] = -12,
										["x"] = 2,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 14,
									},
									["questBoss"] = {
										["y"] = 24,
										["x"] = 9,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BR",
										["size"] = 22,
									},
									["status"] = {
										["y"] = -2,
										["x"] = 12,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LB",
										["size"] = 16,
									},
									["height"] = 0.5,
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["role"] = {
										["y"] = -11,
										["x"] = 30,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 14,
									},
									["pvp"] = {
										["y"] = -21,
										["x"] = 11,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TR",
										["size"] = 22,
									},
								},
								["range"] = {
									["height"] = 0.5,
								},
								["auras"] = {
									["height"] = 0.5,
									["debuffs"] = {
										["y"] = 0,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["enabled"] = true,
										["y"] = 5,
										["maxRows"] = 2,
										["perRow"] = 11,
										["x"] = 1,
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 60,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["auraIndicators"] = {
									["height"] = 0.5,
								},
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 1,
									["background"] = true,
									["order"] = 20,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
								["comboPoints"] = {
									["enabled"] = false,
									["isBar"] = false,
									["height"] = 0.5,
									["order"] = 99,
								},
								["text"] = {
									{
										["text"] = "[perhp] -[( )curmaxhp]",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [1]
									{
										["text"] = "[afk][( )smartlevel][( )name]",
										["width"] = 0.6,
										["anchorPoint"] = "TR",
										["x"] = 40,
										["default"] = true,
										["y"] = 5,
									}, -- [2]
									{
										["text"] = "[perpp] -[( )curmaxpp]",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["text"] = "",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["text"] = "[(()afk() )][name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
								["incAbsorb"] = {
									["enabled"] = false,
									["cap"] = 1,
									["height"] = 0.5,
								},
								["width"] = 200,
								["portrait"] = {
									["enabled"] = true,
									["type"] = "3D",
									["alignment"] = "RIGHT",
									["fullAfter"] = 50,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["incHeal"] = {
									["enabled"] = false,
									["cap"] = 1,
									["height"] = 0.5,
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["enabled"] = false,
									["order"] = 100,
								},
								["combatText"] = {
									["enabled"] = false,
									["height"] = 0.5,
								},
								["height"] = 55,
								["healAbsorb"] = {
									["enabled"] = false,
									["cap"] = 1,
									["height"] = 0.5,
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["highlight"] = {
									["height"] = 0.5,
									["size"] = 10,
								},
							},
							["raid"] = {
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["auras"] = {
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["y"] = 0,
										["x"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["y"] = 0,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["groupSpacing"] = 0,
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 0.3,
									["background"] = true,
									["order"] = 20,
								},
								["groupsPerRow"] = 8,
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "none",
								},
								["text"] = {
									{
										["text"] = "[(()afk() )][name]",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [1]
									{
										["text"] = "[missinghp]",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [2]
									{
										["text"] = "",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["text"] = "",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["text"] = "[(()afk() )][name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
								["maxColumns"] = 8,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["height"] = 30,
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["lfdRole"] = {
										["y"] = 14,
										["x"] = 3,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BR",
										["size"] = 14,
									},
									["resurrect"] = {
										["y"] = -1,
										["x"] = 37,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LC",
										["size"] = 28,
									},
									["masterLoot"] = {
										["anchorPoint"] = "TR",
										["x"] = -2,
										["anchorTo"] = "$parent",
										["y"] = -10,
										["size"] = 12,
									},
									["leader"] = {
										["y"] = -12,
										["x"] = 2,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 14,
									},
									["role"] = {
										["enabled"] = false,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["y"] = 14,
										["anchorPoint"] = "BR",
										["size"] = 14,
									},
									["status"] = {
										["y"] = -2,
										["x"] = 12,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LB",
										["size"] = 16,
									},
									["ready"] = {
										["anchorPoint"] = "LC",
										["x"] = 25,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["size"] = 24,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["pvp"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["anchorTo"] = "$parent",
										["y"] = 11,
										["size"] = 22,
									},
								},
								["scale"] = 0.85,
								["incAbsorb"] = {
									["cap"] = 1,
								},
								["columnSpacing"] = 5,
								["unitsPerColumn"] = 8,
								["attribAnchorPoint"] = "LEFT",
								["width"] = 100,
								["incHeal"] = {
									["cap"] = 1,
								},
								["healAbsorb"] = {
									["cap"] = 1,
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["highlight"] = {
									["size"] = 10,
								},
							},
							["partytargettarget"] = {
								["highlight"] = {
									["size"] = 10,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["auras"] = {
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["y"] = 0,
										["x"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["y"] = 0,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["text"] = {
									{
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [1]
									{
										["text"] = "[curhp]",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [2]
									{
										["text"] = "",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["text"] = "",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["text"] = "[name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["width"] = 90,
								["height"] = 25,
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 0.6,
									["background"] = true,
									["order"] = 20,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
							},
							["arena"] = {
								["highlight"] = {
									["height"] = 0.5,
									["size"] = 10,
								},
								["range"] = {
									["height"] = 0.5,
								},
								["auras"] = {
									["height"] = 0.5,
									["buffs"] = {
										["enabled"] = true,
										["anchorPoint"] = "BL",
										["perRow"] = 9,
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
									["debuffs"] = {
										["enabled"] = true,
										["y"] = 0,
										["perRow"] = 9,
										["x"] = 0,
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 60,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["auraIndicators"] = {
									["height"] = 0.5,
								},
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 1,
									["background"] = true,
									["order"] = 20,
								},
								["offset"] = 25,
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
								["text"] = {
									{
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [1]
									{
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [2]
									{
										["text"] = "[perpp]",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["text"] = "[name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
								["indicators"] = {
									["arenaSpec"] = {
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LC",
										["size"] = 28,
									},
									["lfdRole"] = {
										["y"] = 14,
										["x"] = 3,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BR",
										["size"] = 14,
									},
									["height"] = 0.5,
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
								},
								["width"] = 170,
								["enabled"] = true,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["combatText"] = {
									["height"] = 0.5,
								},
								["height"] = 45,
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["portrait"] = {
									["enabled"] = true,
									["type"] = "class",
									["alignment"] = "LEFT",
									["fullAfter"] = 50,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
							},
							["focustarget"] = {
								["highlight"] = {
									["height"] = 0.5,
									["size"] = 10,
								},
								["range"] = {
									["height"] = 0.5,
								},
								["auras"] = {
									["height"] = 0.5,
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["y"] = 0,
										["x"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["y"] = 0,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["auraIndicators"] = {
									["height"] = 0.5,
								},
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 0.6,
									["background"] = true,
									["order"] = 20,
								},
								["enabled"] = false,
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["width"] = 120,
								["fader"] = {
									["height"] = 0.5,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "RIGHT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["height"] = 25,
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["height"] = 0.5,
								},
								["text"] = {
									{
										["text"] = "[(()afk() )][name]",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [1]
									{
										["text"] = "[curhp]",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [2]
									{
										["text"] = "",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["text"] = "",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["text"] = "[(()afk() )][name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
							},
							["battlegroundtargettarget"] = {
								["highlight"] = {
									["size"] = 10,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["auras"] = {
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["y"] = 0,
										["x"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["y"] = 0,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["text"] = {
									{
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [1]
									{
										["text"] = "[curhp]",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [2]
									{
										["text"] = "",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["text"] = "",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["text"] = "[name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["width"] = 90,
								["height"] = 25,
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 0.6,
									["background"] = true,
									["order"] = 20,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
							},
							["bosstargettarget"] = {
								["highlight"] = {
									["size"] = 10,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["auras"] = {
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["y"] = 0,
										["x"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["y"] = 0,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["text"] = {
									{
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [1]
									{
										["text"] = "[curhp]",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [2]
									{
										["text"] = "",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["text"] = "",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["text"] = "[name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["width"] = 90,
								["height"] = 25,
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 0.6,
									["background"] = true,
									["order"] = 20,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
							},
							["pet"] = {
								["xpBar"] = {
									["height"] = 0.25,
									["background"] = true,
									["order"] = 55,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["height"] = 0.5,
								},
								["range"] = {
									["height"] = 0.5,
								},
								["auras"] = {
									["height"] = 0.5,
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["y"] = 0,
										["x"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["y"] = 0,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 60,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["auraIndicators"] = {
									["height"] = 0.5,
								},
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 1,
									["background"] = true,
									["order"] = 20,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "none",
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 50,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["text"] = {
									{
										["text"] = "[afk][( )smartlevel][( )name]",
										["width"] = 0.5,
										["anchorPoint"] = "TL",
										["x"] = -1,
										["default"] = true,
										["y"] = 2,
									}, -- [1]
									{
										["text"] = "[perhp]",
										["width"] = 0.6,
										["y"] = 0,
										["x"] = 0,
										["default"] = true,
									}, -- [2]
									{
										["text"] = "",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["text"] = "[hp:color][( )perpp]",
										["width"] = 0.6,
										["y"] = 0,
										["x"] = 0,
										["default"] = true,
									}, -- [4]
									{
										["text"] = "[name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
								["incAbsorb"] = {
									["enabled"] = false,
									["height"] = 0.5,
								},
								["width"] = 80,
								["fader"] = {
									["height"] = 0.5,
								},
								["incHeal"] = {
									["enabled"] = false,
									["height"] = 0.5,
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["enabled"] = false,
									["order"] = 100,
								},
								["combatText"] = {
									["enabled"] = false,
									["height"] = 0.5,
								},
								["height"] = 35,
								["healAbsorb"] = {
									["enabled"] = false,
									["cap"] = 1,
									["height"] = 0.5,
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["highlight"] = {
									["height"] = 0.5,
									["size"] = 10,
								},
							},
							["bosstarget"] = {
								["highlight"] = {
									["size"] = 10,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["auras"] = {
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["y"] = 0,
										["x"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["y"] = 0,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["text"] = {
									{
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [1]
									{
										["text"] = "[curhp]",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [2]
									{
										["text"] = "",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["text"] = "",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["text"] = "[name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["width"] = 90,
								["height"] = 25,
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 0.6,
									["background"] = true,
									["order"] = 20,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
							},
							["battlegroundpet"] = {
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["auras"] = {
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["y"] = 0,
										["x"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["y"] = 0,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 0.6,
									["background"] = true,
									["order"] = 20,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
								["text"] = {
									{
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [1]
									{
										["text"] = "[curhp]",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [2]
									{
										["text"] = "",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["text"] = "",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["text"] = "[name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
								["width"] = 90,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["height"] = 25,
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
								},
								["highlight"] = {
									["size"] = 10,
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
							},
							["targettarget"] = {
								["auras"] = {
									["height"] = 0.5,
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["y"] = 0,
										["x"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["y"] = 0,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "RIGHT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["highlight"] = {
									["height"] = 0.5,
									["size"] = 10,
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["range"] = {
									["height"] = 0.5,
								},
								["width"] = 80,
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["text"] = {
									{
										["text"] = "[afk][( )smartlevel][( )name]",
										["width"] = 0.5,
										["anchorPoint"] = "TL",
										["x"] = -1,
										["default"] = true,
										["y"] = 2,
									}, -- [1]
									{
										["text"] = "[perhp]",
										["width"] = 0.6,
										["y"] = 0,
										["x"] = 0,
										["default"] = true,
									}, -- [2]
									{
										["text"] = "",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["text"] = "[hp:color][( )perpp]",
										["width"] = 0.6,
										["y"] = 0,
										["x"] = 0,
										["default"] = true,
									}, -- [4]
									{
										["width"] = 1,
										["x"] = 3,
										["default"] = true,
										["anchorPoint"] = "CLI",
									}, -- [5]
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["height"] = 0.5,
								},
								["height"] = 35,
								["auraIndicators"] = {
									["height"] = 0.5,
								},
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 1,
									["background"] = true,
									["order"] = 20,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
							},
							["partypet"] = {
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["auras"] = {
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["y"] = 0,
										["x"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["y"] = 0,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 0.6,
									["background"] = true,
									["order"] = 20,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
								["highlight"] = {
									["size"] = 10,
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["width"] = 90,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["height"] = 25,
								["healAbsorb"] = {
									["cap"] = 1,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
								},
								["text"] = {
									{
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [1]
									{
										["text"] = "[curhp]",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [2]
									{
										["text"] = "",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["text"] = "",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["text"] = "[name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
							},
							["mainassist"] = {
								["highlight"] = {
									["size"] = 10,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["resurrect"] = {
										["y"] = -1,
										["x"] = 37,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LC",
										["size"] = 28,
									},
									["masterLoot"] = {
										["y"] = -10,
										["x"] = 16,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 12,
									},
									["leader"] = {
										["y"] = -12,
										["x"] = 2,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 14,
									},
									["role"] = {
										["y"] = -11,
										["x"] = 30,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 14,
									},
									["status"] = {
										["y"] = -2,
										["x"] = 12,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LB",
										["size"] = 16,
									},
									["ready"] = {
										["y"] = 0,
										["x"] = 35,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LC",
										["size"] = 24,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["pvp"] = {
										["y"] = -21,
										["x"] = 11,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TR",
										["size"] = 22,
									},
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["auras"] = {
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["y"] = 0,
										["x"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["y"] = 0,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 60,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["height"] = 40,
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 50,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["incAbsorb"] = {
									["cap"] = 1,
								},
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 1,
									["background"] = true,
									["order"] = 20,
								},
								["offset"] = 5,
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
								["incHeal"] = {
									["cap"] = 1,
								},
								["attribAnchorPoint"] = "LEFT",
								["unitsPerColumn"] = 5,
								["width"] = 150,
								["maxColumns"] = 1,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["columnSpacing"] = 5,
								["healAbsorb"] = {
									["cap"] = 1,
								},
								["text"] = {
									{
										["text"] = "[(()afk() )][name]",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [1]
									{
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [2]
									{
										["text"] = "[level( )][perpp]",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["text"] = "[(()afk() )][name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
							},
							["player"] = {
								["portrait"] = {
									["enabled"] = true,
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 50,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["shadowOrbs"] = {
									["anchorTo"] = "$parent",
									["order"] = 60,
									["showAlways"] = true,
									["growth"] = "LEFT",
									["anchorPoint"] = "BR",
									["x"] = -3,
									["spacing"] = -4,
									["height"] = 0.4,
									["isBar"] = false,
									["y"] = 6,
									["size"] = 14,
								},
								["runeBar"] = {
									["height"] = 0.4,
									["background"] = false,
									["order"] = 70,
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 60,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["burningEmbersBar"] = {
									["height"] = 0.4,
									["background"] = false,
									["order"] = 70,
									["enabled"] = false,
								},
								["powerBar"] = {
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
									["height"] = 1,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
								["eclipseBar"] = {
									["order"] = 70,
									["background"] = true,
									["height"] = 0.75,
									["enabled"] = false,
								},
								["druidBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 70,
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["enabled"] = false,
									["order"] = 100,
								},
								["staggerBar"] = {
									["height"] = 0.3,
									["background"] = true,
									["order"] = 70,
									["enabled"] = false,
								},
								["auraPoints"] = {
									["anchorTo"] = "$parent",
									["order"] = 60,
									["showAlways"] = true,
									["growth"] = "LEFT",
									["anchorPoint"] = "BR",
									["x"] = -3,
									["spacing"] = -4,
									["height"] = 0.4,
									["y"] = 8,
									["size"] = 14,
								},
								["xpBar"] = {
									["height"] = 0.25,
									["background"] = true,
									["order"] = 55,
								},
								["highlight"] = {
									["height"] = 0.5,
									["size"] = 10,
								},
								["totemBar"] = {
									["height"] = 0.4,
									["background"] = false,
									["order"] = 70,
								},
								["incAbsorb"] = {
									["enabled"] = false,
									["cap"] = 1,
									["height"] = 0.5,
								},
								["comboPoints"] = {
									["order"] = 99,
									["isBar"] = false,
									["height"] = 0.5,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["lfdRole"] = {
										["y"] = 14,
										["x"] = 3,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BR",
										["size"] = 14,
									},
									["resurrect"] = {
										["y"] = -1,
										["x"] = 37,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LC",
										["size"] = 28,
									},
									["masterLoot"] = {
										["y"] = -10,
										["x"] = 16,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 12,
									},
									["leader"] = {
										["y"] = -12,
										["x"] = 2,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 14,
									},
									["role"] = {
										["y"] = -11,
										["x"] = 30,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 14,
									},
									["status"] = {
										["y"] = -2,
										["x"] = 12,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LB",
										["size"] = 16,
									},
									["ready"] = {
										["y"] = 0,
										["x"] = 35,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LC",
										["size"] = 24,
									},
									["height"] = 0.5,
									["pvp"] = {
										["y"] = -21,
										["x"] = 11,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TR",
										["size"] = 22,
									},
								},
								["text"] = {
									{
										["text"] = "[afk][( )smartlevel][( )name][( )group]",
										["width"] = 0.5,
										["anchorPoint"] = "TL",
										["x"] = -40,
										["default"] = true,
										["y"] = 5,
									}, -- [1]
									{
										["text"] = "[curmaxhp] -[( )perhp]",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [2]
									{
										["text"] = "",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["text"] = "[curmaxpp] -[( )perpp]",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["text"] = "[(()afk() )][name][( ()group())]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
									{
										["anchorTo"] = "$demonicFuryBar",
										["text"] = "[warlock:demonic:curpp]",
										["width"] = 1,
										["x"] = 3,
										["name"] = "Text",
										["size"] = -1,
									}, -- [6]
									{
										["anchorTo"] = "$totemBar",
										["text"] = "[totem:timer]",
										["width"] = 1,
										["name"] = "Timer Text",
										["block"] = true,
									}, -- [7]
									{
										["anchorTo"] = "$runeBar",
										["text"] = "[rune:timer]",
										["width"] = 1,
										["name"] = "Timer Text",
										["block"] = true,
									}, -- [8]
									{
										["anchorTo"] = "$staggerBar",
										["text"] = "[monk:abs:stagger]",
										["width"] = 1,
										["name"] = "Text",
									}, -- [9]
								},
								["auras"] = {
									["height"] = 0.5,
									["debuffs"] = {
										["y"] = 0,
										["maxRows"] = 1,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["y"] = 0,
										["maxRows"] = 1,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
								},
								["holyPower"] = {
									["anchorTo"] = "$parent",
									["order"] = 60,
									["showAlways"] = true,
									["growth"] = "LEFT",
									["anchorPoint"] = "BR",
									["x"] = -3,
									["spacing"] = -4,
									["height"] = 0.4,
									["isBar"] = false,
									["y"] = 6,
									["size"] = 14,
								},
								["soulShards"] = {
									["anchorTo"] = "$parent",
									["order"] = 60,
									["showAlways"] = true,
									["growth"] = "LEFT",
									["anchorPoint"] = "BR",
									["x"] = -8,
									["spacing"] = -2,
									["height"] = 0.4,
									["isBar"] = false,
									["y"] = 6,
									["size"] = 12,
								},
								["height"] = 55,
								["width"] = 200,
								["auraIndicators"] = {
									["height"] = 0.5,
								},
								["chi"] = {
									["anchorTo"] = "$parent",
									["order"] = 60,
									["showAlways"] = false,
									["growth"] = "LEFT",
									["anchorPoint"] = "BR",
									["x"] = -3,
									["spacing"] = -4,
									["height"] = 0.4,
									["isBar"] = false,
									["y"] = 6,
									["size"] = 14,
								},
								["fader"] = {
									["inactiveAlpha"] = 0.6,
									["combatAlpha"] = 1,
									["height"] = 0.5,
								},
								["combatText"] = {
									["enabled"] = false,
									["height"] = 0.5,
								},
								["incHeal"] = {
									["enabled"] = false,
									["cap"] = 1,
									["height"] = 0.5,
								},
								["healAbsorb"] = {
									["enabled"] = false,
									["cap"] = 1,
									["height"] = 0.5,
								},
								["monkBar"] = {
									["height"] = 0.5,
								},
								["demonicFuryBar"] = {
									["height"] = 0.5,
									["background"] = false,
									["order"] = 70,
									["enabled"] = false,
								},
							},
							["maintanktarget"] = {
								["highlight"] = {
									["size"] = 10,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["auras"] = {
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["y"] = 0,
										["x"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["y"] = 0,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["text"] = {
									{
										["text"] = "[(()afk() )][name]",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [1]
									{
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [2]
									{
										["text"] = "[classification( )][perpp]",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["text"] = "[(()afk() )][name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["width"] = 150,
								["height"] = 40,
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 1,
									["background"] = true,
									["order"] = 20,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
							},
							["pettarget"] = {
								["highlight"] = {
									["size"] = 10,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["auras"] = {
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["y"] = 0,
										["x"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["y"] = 0,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["text"] = {
									{
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [1]
									{
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [2]
									{
										["text"] = "[perpp]",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["text"] = "[name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["width"] = 190,
								["height"] = 30,
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 0.7,
									["background"] = true,
									["order"] = 20,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
								},
							},
							["raidpet"] = {
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["auras"] = {
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["y"] = 0,
										["x"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["y"] = 0,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["groupSpacing"] = 0,
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 0.3,
									["background"] = true,
									["order"] = 20,
								},
								["groupsPerRow"] = 8,
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "none",
								},
								["text"] = {
									{
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [1]
									{
										["text"] = "[missinghp]",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [2]
									{
										["text"] = "",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["text"] = "",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["text"] = "[name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
								["maxColumns"] = 8,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["height"] = 30,
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
								},
								["scale"] = 0.85,
								["incAbsorb"] = {
									["cap"] = 1,
								},
								["columnSpacing"] = 5,
								["unitsPerColumn"] = 8,
								["attribAnchorPoint"] = "LEFT",
								["width"] = 90,
								["incHeal"] = {
									["cap"] = 1,
								},
								["healAbsorb"] = {
									["cap"] = 1,
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["highlight"] = {
									["size"] = 10,
								},
							},
							["maintank"] = {
								["text"] = {
									{
										["text"] = "[(()afk() )][name]",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [1]
									{
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [2]
									{
										["text"] = "[perpp]",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["text"] = "[(()afk() )][name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 50,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["auras"] = {
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["y"] = 0,
										["x"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["y"] = 0,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 60,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["columnSpacing"] = 5,
								["incAbsorb"] = {
									["cap"] = 1,
								},
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 1,
									["background"] = true,
									["order"] = 20,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["resurrect"] = {
										["y"] = -1,
										["x"] = 37,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LC",
										["size"] = 28,
									},
									["masterLoot"] = {
										["y"] = -10,
										["x"] = 16,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 12,
									},
									["leader"] = {
										["y"] = -12,
										["x"] = 2,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 14,
									},
									["role"] = {
										["y"] = -11,
										["x"] = 30,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 14,
									},
									["status"] = {
										["y"] = -2,
										["x"] = 12,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LB",
										["size"] = 16,
									},
									["ready"] = {
										["y"] = 0,
										["x"] = 35,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LC",
										["size"] = 24,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["pvp"] = {
										["y"] = -21,
										["x"] = 11,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TR",
										["size"] = 22,
									},
								},
								["offset"] = 5,
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
								["unitsPerColumn"] = 5,
								["height"] = 40,
								["attribAnchorPoint"] = "LEFT",
								["width"] = 150,
								["maxColumns"] = 1,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["incHeal"] = {
									["cap"] = 1,
								},
								["healAbsorb"] = {
									["cap"] = 1,
								},
								["highlight"] = {
									["size"] = 10,
								},
							},
							["boss"] = {
								["highlight"] = {
									["height"] = 0.5,
									["size"] = 10,
								},
								["range"] = {
									["height"] = 0.5,
								},
								["auras"] = {
									["height"] = 0.5,
									["debuffs"] = {
										["enabled"] = true,
										["y"] = 0,
										["perRow"] = 8,
										["x"] = 0,
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["buffs"] = {
										["enabled"] = true,
										["anchorPoint"] = "BL",
										["perRow"] = 8,
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["auraIndicators"] = {
									["height"] = 0.5,
								},
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 1,
									["background"] = true,
									["order"] = 20,
								},
								["offset"] = 20,
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
								["text"] = {
									{
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [1]
									{
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [2]
									{
										["text"] = "[perpp]",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["text"] = "[name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["height"] = 0.5,
								},
								["width"] = 160,
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["combatText"] = {
									["height"] = 0.5,
								},
								["height"] = 40,
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["enabled"] = true,
							},
							["battleground"] = {
								["highlight"] = {
									["size"] = 10,
								},
								["auras"] = {
									["debuffs"] = {
										["y"] = 0,
										["perRow"] = 9,
										["x"] = 0,
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["buffs"] = {
										["perRow"] = 9,
										["y"] = 0,
										["anchorPoint"] = "BL",
										["x"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["y"] = 0,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["enabled"] = true,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["size"] = 0,
										["enabled"] = true,
										["anchorPoint"] = "CLI",
										["rank"] = true,
									},
									["order"] = 60,
									["background"] = true,
									["icon"] = "HIDE",
									["height"] = 0.6,
								},
								["powerBar"] = {
									["colorType"] = "type",
									["height"] = 0.5,
									["background"] = true,
									["order"] = 20,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["height"] = 1.2,
									["reactionType"] = "npc",
								},
								["text"] = {
									{
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [1]
									{
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [2]
									{
										["text"] = "",
										["width"] = 0.5,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["y"] = 0,
									}, -- [3]
									{
										["text"] = "",
										["width"] = 0.6,
										["anchorPoint"] = "CRI",
										["x"] = -3,
										["default"] = true,
										["y"] = 0,
									}, -- [4]
									{
										["text"] = "[name]",
										["width"] = 1,
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
									}, -- [5]
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["pvp"] = {
										["anchorPoint"] = "LC",
										["x"] = 16,
										["anchorTo"] = "$parent",
										["y"] = -8,
										["size"] = 40,
									},
								},
								["width"] = 140,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["height"] = 35,
								["emptyBar"] = {
									["order"] = 0,
									["background"] = true,
									["height"] = 1,
									["reactionType"] = "none",
								},
								["portrait"] = {
									["type"] = "class",
									["alignment"] = "LEFT",
									["fullAfter"] = 50,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
							},
						},
						["font"] = {
							["extra"] = "OUTLINE",
							["name"] = "Friz Quadrata TT",
							["shadowX"] = 0.8,
							["color"] = {
								["a"] = 1,
								["r"] = 1,
								["g"] = 1,
								["b"] = 1,
							},
							["shadowY"] = -0.8,
							["shadowColor"] = {
								["a"] = 1,
								["r"] = 0,
								["g"] = 0,
								["b"] = 0,
							},
							["size"] = 11,
						},
						["classColors"] = {
							["HUNTER"] = {
								["r"] = 0.67,
								["g"] = 0.83,
								["b"] = 0.45,
							},
							["WARRIOR"] = {
								["r"] = 0.78,
								["g"] = 0.61,
								["b"] = 0.43,
							},
							["ROGUE"] = {
								["r"] = 1,
								["g"] = 0.96,
								["b"] = 0.41,
							},
							["MAGE"] = {
								["r"] = 0.41,
								["g"] = 0.8,
								["b"] = 0.94,
							},
							["VEHICLE"] = {
								["r"] = 0.23,
								["g"] = 0.41,
								["b"] = 0.23,
							},
							["PRIEST"] = {
								["r"] = 1,
								["g"] = 1,
								["b"] = 1,
							},
							["PALADIN"] = {
								["r"] = 0.96,
								["g"] = 0.55,
								["b"] = 0.73,
							},
							["WARLOCK"] = {
								["r"] = 0.58,
								["g"] = 0.51,
								["b"] = 0.79,
							},
							["SHAMAN"] = {
								["r"] = 0.14,
								["g"] = 0.35,
								["b"] = 1,
							},
							["PET"] = {
								["r"] = 0.2,
								["g"] = 0.9,
								["b"] = 0.2,
							},
							["DRUID"] = {
								["r"] = 1,
								["g"] = 0.49,
								["b"] = 0.04,
							},
							["MONK"] = {
								["r"] = 0,
								["g"] = 1,
								["b"] = 0.59,
							},
							["DEATHKNIGHT"] = {
								["r"] = 0.77,
								["g"] = 0.12,
								["b"] = 0.23,
							},
						},
						["auras"] = {
							["borderType"] = "light",
						},
						["bars"] = {
							["texture"] = "Smooth",
							["backgroundAlpha"] = 0.2,
							["alpha"] = 1,
							["spacing"] = -1.25,
						},
						["auraColors"] = {
							["removable"] = {
								["r"] = 1,
								["g"] = 1,
								["b"] = 1,
							},
						},
					},
					["Default"] = {
						["powerColors"] = {
							["FUEL"] = {
								["b"] = 0.36,
								["g"] = 0.47,
								["r"] = 0.85,
							},
							["SHADOWORBS"] = {
								["b"] = 0.79,
								["g"] = 0.51,
								["r"] = 0.58,
							},
							["LIGHTWELL"] = {
								["b"] = 0.8,
								["g"] = 0.8,
								["r"] = 0.8,
							},
							["BANKEDHOLYPOWER"] = {
								["b"] = 0.84,
								["g"] = 0.61,
								["r"] = 0.96,
							},
							["FOCUS"] = {
								["b"] = 0.25,
								["g"] = 0.5,
								["r"] = 1,
							},
							["DEMONICFURY"] = {
								["b"] = 0.79,
								["g"] = 0.51,
								["r"] = 0.58,
							},
							["FULLBURNINGEMBER"] = {
								["b"] = 0.062,
								["g"] = 0.09,
								["r"] = 0.88,
							},
							["STAGGER_RED"] = {
								["b"] = 0.42,
								["g"] = 0.42,
								["r"] = 1,
							},
							["RUNEOFPOWER"] = {
								["b"] = 0.6,
								["g"] = 0.45,
								["r"] = 0.35,
							},
							["COMBOPOINTS"] = {
								["b"] = 0,
								["g"] = 0.8,
								["r"] = 1,
							},
							["RUNES"] = {
								["b"] = 0.5,
								["g"] = 0.5,
								["r"] = 0.5,
							},
							["STAGGER_GREEN"] = {
								["b"] = 0.52,
								["g"] = 1,
								["r"] = 0.52,
							},
							["ENERGY"] = {
								["b"] = 0.1,
								["g"] = 0.85,
								["r"] = 1,
							},
							["MANA"] = {
								["b"] = 0.85,
								["g"] = 0.5,
								["r"] = 0.3,
							},
							["CHI"] = {
								["b"] = 0.92,
								["g"] = 1,
								["r"] = 0.71,
							},
							["AURAPOINTS"] = {
								["b"] = 0,
								["g"] = 0.8,
								["r"] = 1,
							},
							["POWER_TYPE_FEL_ENERGY"] = {
								["b"] = 0,
								["g"] = 0.98,
								["r"] = 0.878,
							},
							["MUSHROOMS"] = {
								["b"] = 0.2,
								["g"] = 0.9,
								["r"] = 0.2,
							},
							["ECLIPSE_SUN"] = {
								["b"] = 0,
								["g"] = 1,
								["r"] = 1,
							},
							["SOULSHARDS"] = {
								["b"] = 0.79,
								["g"] = 0.51,
								["r"] = 0.58,
							},
							["ECLIPSE_MOON"] = {
								["b"] = 0.9,
								["g"] = 0.52,
								["r"] = 0.3,
							},
							["BURNINGEMBERS"] = {
								["b"] = 0.79,
								["g"] = 0.51,
								["r"] = 0.58,
							},
							["RUNIC_POWER"] = {
								["r"] = 0.35,
								["g"] = 0.45,
								["b"] = 0.6,
							},
							["AMMOSLOT"] = {
								["b"] = 0.55,
								["g"] = 0.6,
								["r"] = 0.85,
							},
							["STATUE"] = {
								["b"] = 0.6,
								["g"] = 0.45,
								["r"] = 0.35,
							},
							["ALTERNATE"] = {
								["b"] = 1,
								["g"] = 0.941,
								["r"] = 0.815,
							},
							["HOLYPOWER"] = {
								["b"] = 0.6,
								["g"] = 0.9,
								["r"] = 0.95,
							},
							["STAGGER_YELLOW"] = {
								["b"] = 0.72,
								["g"] = 0.98,
								["r"] = 1,
							},
							["RAGE"] = {
								["b"] = 0.3,
								["g"] = 0.2,
								["r"] = 0.9,
							},
						},
						["revision"] = 53,
						["castColors"] = {
							["cast"] = {
								["b"] = 0.3,
								["g"] = 0.7,
								["r"] = 1,
							},
							["finished"] = {
								["b"] = 0.1,
								["g"] = 1,
								["r"] = 0.1,
							},
							["channel"] = {
								["b"] = 1,
								["g"] = 0.25,
								["r"] = 0.25,
							},
							["uninterruptible"] = {
								["b"] = 1,
								["g"] = 0,
								["r"] = 0.71,
							},
							["interrupted"] = {
								["b"] = 0,
								["g"] = 0,
								["r"] = 1,
							},
						},
						["wowBuild"] = 60100,
						["loadedLayout"] = true,
						["backdrop"] = {
							["borderColor"] = {
								["a"] = 1,
								["b"] = 0.5,
								["g"] = 0.3,
								["r"] = 0.3,
							},
							["edgeSize"] = 5,
							["tileSize"] = 1,
							["borderTexture"] = "None",
							["backgroundColor"] = {
								["a"] = 0.8,
								["b"] = 0,
								["g"] = 0,
								["r"] = 0,
							},
							["backgroundTexture"] = "Chat Frame",
							["clip"] = 1,
							["inset"] = 3,
						},
						["auras"] = {
							["borderType"] = "light",
						},
						["healthColors"] = {
							["neutral"] = {
								["b"] = 0,
								["g"] = 0.93,
								["r"] = 0.93,
							},
							["healAbsorb"] = {
								["b"] = 1,
								["g"] = 0.47,
								["r"] = 0.68,
							},
							["aggro"] = {
								["b"] = 0,
								["g"] = 0,
								["r"] = 0.9,
							},
							["static"] = {
								["b"] = 0.9,
								["g"] = 0.2,
															["r"] = 0.7,
							},
							["friendly"] = {
								["b"] = 0.2,
								["g"] = 0.9,
								["r"] = 0.2,
							},
							["yellow"] = {
								["b"] = 0,
								["g"] = 0.93,
								["r"] = 0.93,
							},
							["enemyUnattack"] = {
								["b"] = 0.2,
								["g"] = 0.2,
								["r"] = 0.6,
							},
							["tapped"] = {
								["b"] = 0.5,
								["g"] = 0.5,
								["r"] = 0.5,
							},
							["hostile"] = {
								["b"] = 0,
								["g"] = 0,
								["r"] = 0.9,
							},
							["green"] = {
								["b"] = 0.2,
								["g"] = 0.9,
								["r"] = 0.2,
							},
							["incAbsorb"] = {
								["b"] = 0.09,
								["g"] = 0.75,
								["r"] = 0.93,
							},
							["offline"] = {
								["b"] = 0.5,
								["g"] = 0.5,
								["r"] = 0.5,
							},
							["inc"] = {
								["b"] = 0.23,
								["g"] = 0.35,
								["r"] = 0,
							},
							["red"] = {
								["b"] = 0,
								["g"] = 0,
								["r"] = 0.9,
							},
						},
						["xpColors"] = {
							["normal"] = {
								["b"] = 0.55,
								["g"] = 0,
								["r"] = 0.58,
							},
							["rested"] = {
								["b"] = 0.88,
								["g"] = 0.39,
								["r"] = 0,
							},
						},
						["font"] = {
							["color"] = {
								["a"] = 1,
								["b"] = 1,
								["g"] = 1,
								["r"] = 1,
							},
							["name"] = "Myriad Condensed Web",
							["shadowX"] = 0.8,
							["extra"] = "",
							["shadowY"] = -0.8,
							["shadowColor"] = {
								["a"] = 1,
								["b"] = 0,
								["g"] = 0,
								["r"] = 0,
							},
							["size"] = 11,
						},
						["classColors"] = {
							["HUNTER"] = {
								["b"] = 0.45,
								["g"] = 0.83,
								["r"] = 0.67,
							},
							["WARRIOR"] = {
								["b"] = 0.43,
								["g"] = 0.61,
								["r"] = 0.78,
							},
							["PALADIN"] = {
								["b"] = 0.73,
								["g"] = 0.55,
								["r"] = 0.96,
							},
							["MAGE"] = {
								["b"] = 0.94,
								["g"] = 0.8,
								["r"] = 0.41,
							},
							["VEHICLE"] = {
								["b"] = 0.23,
								["g"] = 0.41,
								["r"] = 0.23,
							},
							["PRIEST"] = {
								["b"] = 1,
								["g"] = 1,
								["r"] = 1,
							},
							["DEATHKNIGHT"] = {
								["b"] = 0.23,
								["g"] = 0.12,
								["r"] = 0.77,
							},
							["WARLOCK"] = {
								["b"] = 0.79,
								["g"] = 0.51,
								["r"] = 0.58,
							},
							["SHAMAN"] = {
								["b"] = 1,
								["g"] = 0.35,
								["r"] = 0.14,
							},
							["PET"] = {
								["b"] = 0.2,
								["g"] = 0.9,
								["r"] = 0.2,
							},
							["DRUID"] = {
								["b"] = 0.04,
								["g"] = 0.49,
								["r"] = 1,
							},
							["MONK"] = {
								["b"] = 0.59,
								["g"] = 1,
								["r"] = 0,
							},
							["ROGUE"] = {
								["b"] = 0.41,
								["g"] = 0.96,
								["r"] = 1,
							},
						},
						["units"] = {
							["arenatarget"] = {
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "[curhp]",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[name]",
										["width"] = 1,
									}, -- [5]
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "npc",
									["height"] = 1.2,
								},
								["auras"] = {
									["buffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["width"] = 90,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["height"] = 25,
								["highlight"] = {
									["size"] = 10,
								},
								["powerBar"] = {
									["height"] = 0.6,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
							},
							["mainassisttarget"] = {
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "[(()afk() )][name]",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "[level( )][classification( )][perpp]",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[(()afk() )][name]",
										["width"] = 1,
									}, -- [5]
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "npc",
									["height"] = 1.2,
								},
								["auras"] = {
									["buffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["width"] = 150,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["height"] = 40,
								["highlight"] = {
									["size"] = 10,
								},
								["powerBar"] = {
									["height"] = 1,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
							},
							["targettargettarget"] = {
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "RIGHT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "npc",
									["height"] = 1.2,
								},
								["width"] = 80,
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["range"] = {
									["height"] = 0.5,
								},
								["auras"] = {
									["height"] = 0.5,
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["anchorPoint"] = "CLI",
										["width"] = 1,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["width"] = 1,
									}, -- [5]
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["height"] = 0.5,
								},
								["height"] = 30,
								["auraIndicators"] = {
									["height"] = 0.5,
								},
								["powerBar"] = {
									["height"] = 0.6,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["highlight"] = {
									["height"] = 0.5,
									["size"] = 10,
								},
							},
							["partytarget"] = {
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "[curhp]",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[name]",
										["width"] = 1,
									}, -- [5]
								},
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["auras"] = {
									["buffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["highlight"] = {
									["size"] = 10,
								},
								["height"] = 25,
								["width"] = 90,
								["powerBar"] = {
									["height"] = 0.6,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "npc",
									["height"] = 1.2,
								},
							},
							["arenatargettarget"] = {
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "[curhp]",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[name]",
										["width"] = 1,
									}, -- [5]
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "npc",
									["height"] = 1.2,
								},
								["auras"] = {
									["buffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["width"] = 90,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["height"] = 25,
								["highlight"] = {
									["size"] = 10,
								},
								["powerBar"] = {
									["height"] = 0.6,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
							},
							["raid"] = {
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["scale"] = 0.85,
								["auras"] = {
									["buffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["groupSpacing"] = 0,
								["incAbsorb"] = {
									["cap"] = 1,
								},
								["powerBar"] = {
									["height"] = 0.3,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["groupsPerRow"] = 8,
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "none",
									["height"] = 1.2,
								},
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "[(()afk() )][name]",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "[missinghp]",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[(()afk() )][name]",
										["width"] = 1,
									}, -- [5]
								},
								["attribAnchorPoint"] = "LEFT",
								["height"] = 30,
								["width"] = 100,
								["maxColumns"] = 8,
								["columnSpacing"] = 5,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["unitsPerColumn"] = 8,
								["incHeal"] = {
									["cap"] = 1,
								},
								["healAbsorb"] = {
									["cap"] = 1,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["lfdRole"] = {
										["y"] = 14,
										["x"] = 3,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BR",
										["size"] = 14,
									},
									["resurrect"] = {
										["y"] = -1,
										["x"] = 37,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LC",
										["size"] = 28,
									},
									["masterLoot"] = {
										["anchorPoint"] = "TR",
										["x"] = -2,
										["anchorTo"] = "$parent",
										["y"] = -10,
										["size"] = 12,
									},
									["leader"] = {
										["y"] = -12,
										["x"] = 2,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 14,
									},
									["role"] = {
										["enabled"] = false,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BR",
										["y"] = 14,
										["size"] = 14,
									},
									["status"] = {
										["y"] = -2,
										["x"] = 12,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LB",
										["size"] = 16,
									},
									["pvp"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["anchorTo"] = "$parent",
										["y"] = 11,
										["size"] = 22,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["ready"] = {
										["anchorPoint"] = "LC",
										["x"] = 25,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["size"] = 24,
									},
								},
								["highlight"] = {
									["size"] = 10,
								},
							},
							["arenapet"] = {
								["highlight"] = {
									["size"] = 10,
								},
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "[curhp]",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[name]",
										["width"] = 1,
									}, -- [5]
								},
								["auras"] = {
									["buffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
								},
								["height"] = 25,
								["width"] = 90,
								["powerBar"] = {
									["height"] = 0.6,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "npc",
									["height"] = 1.2,
								},
							},
							["mainassisttargettarget"] = {
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "[(()afk() )][name]",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "[level( )][classification( )][perpp]",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[(()afk() )][name]",
										["width"] = 1,
									}, -- [5]
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "npc",
									["height"] = 1.2,
								},
								["auras"] = {
									["buffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["width"] = 150,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["height"] = 40,
								["highlight"] = {
									["size"] = 10,
								},
								["powerBar"] = {
									["height"] = 1,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
							},
							["party"] = {
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["lfdRole"] = {
										["y"] = 14,
										["x"] = 3,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BR",
										["size"] = 14,
									},
									["phase"] = {
										["anchorPoint"] = "RC",
										["x"] = -11,
										["size"] = 14,
										["anchorTo"] = "$parent",
									},
									["masterLoot"] = {
										["y"] = -10,
										["x"] = 16,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 12,
									},
									["leader"] = {
										["y"] = -12,
										["x"] = 2,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 14,
									},
									["role"] = {
										["y"] = -11,
										["x"] = 30,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 14,
									},
									["pvp"] = {
										["y"] = -21,
										["x"] = 11,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TR",
										["size"] = 22,
									},
									["height"] = 0.5,
									["status"] = {
										["y"] = -2,
										["x"] = 12,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LB",
										["size"] = 16,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["resurrect"] = {
										["y"] = -1,
										["x"] = 37,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LC",
										["size"] = 28,
									},
									["ready"] = {
										["y"] = 0,
										["x"] = 35,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LC",
										["size"] = 24,
									},
								},
								["range"] = {
									["height"] = 0.5,
								},
								["auras"] = {
									["height"] = 0.5,
									["debuffs"] = {
										["enabled"] = true,
										["x"] = 0,
										["y"] = 0,
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["buffs"] = {
										["enabled"] = true,
										["x"] = 0,
										["anchorPoint"] = "BL",
										["y"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 60,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["incAbsorb"] = {
									["height"] = 0.5,
									["cap"] = 1,
								},
								["auraIndicators"] = {
									["height"] = 0.5,
								},
								["powerBar"] = {
									["height"] = 1,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["highlight"] = {
									["height"] = 0.5,
									["size"] = 10,
								},
								["offset"] = 23,
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "[(()afk() )][name]",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "[level( )][perpp]",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[(()afk() )][name]",
										["width"] = 1,
									}, -- [5]
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "npc",
									["height"] = 1.2,
								},
								["columnSpacing"] = 30,
								["attribAnchorPoint"] = "LEFT",
								["unitsPerColumn"] = 5,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["width"] = 190,
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["height"] = 45,
								["fader"] = {
									["height"] = 0.5,
								},
								["combatText"] = {
									["height"] = 0.5,
								},
								["incHeal"] = {
									["height"] = 0.5,
									["cap"] = 1,
								},
								["healAbsorb"] = {
									["height"] = 0.5,
									["cap"] = 1,
								},
								["portrait"] = {
									["enabled"] = true,
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 50,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["attribPoint"] = "TOP",
							},
							["maintanktargettarget"] = {
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "[(()afk() )][name]",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "[classification( )][perpp]",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[(()afk() )][name]",
										["width"] = 1,
									}, -- [5]
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "npc",
									["height"] = 1.2,
								},
								["auras"] = {
									["buffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["width"] = 150,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["height"] = 40,
								["highlight"] = {
									["size"] = 10,
								},
								["powerBar"] = {
									["height"] = 1,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
							},
							["focus"] = {
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["lfdRole"] = {
										["y"] = 14,
										["x"] = 3,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BR",
										["size"] = 14,
									},
									["resurrect"] = {
										["y"] = -1,
										["x"] = 37,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LC",
										["size"] = 28,
									},
									["masterLoot"] = {
										["y"] = -10,
										["x"] = 16,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 12,
									},
									["leader"] = {
										["y"] = -12,
										["x"] = 2,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 14,
									},
									["questBoss"] = {
										["y"] = 14,
										["x"] = 7,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BR",
										["enabled"] = false,
										["size"] = 22,
									},
									["height"] = 0.5,
									["status"] = {
										["y"] = -2,
										["x"] = 12,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LB",
										["size"] = 16,
									},
									["role"] = {
										["y"] = -11,
										["x"] = 30,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 14,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["pvp"] = {
										["y"] = -21,
										["x"] = 11,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TR",
										["size"] = 22,
									},
								},
								["range"] = {
									["height"] = 0.5,
								},
								["auras"] = {
									["height"] = 0.5,
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 60,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["auraIndicators"] = {
									["height"] = 0.5,
								},
								["powerBar"] = {
									["height"] = 0.6,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "npc",
									["height"] = 1.2,
								},
								["highlight"] = {
									["height"] = 0.5,
									["size"] = 10,
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "[(()afk() )][name]",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "[curhp]",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "[perpp]",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "[curpp]",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[(()afk() )][name]",
										["width"] = 1,
									}, -- [5]
								},
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["width"] = 120,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["height"] = 28,
								["fader"] = {
									["height"] = 0.5,
								},
								["combatText"] = {
									["height"] = 0.5,
								},
								["incHeal"] = {
									["height"] = 0.5,
								},
								["healAbsorb"] = {
									["height"] = 0.5,
									["cap"] = 1,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 50,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["incAbsorb"] = {
									["height"] = 0.5,
								},
							},
							["target"] = {
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["lfdRole"] = {
										["y"] = 14,
										["x"] = 3,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BR",
										["size"] = 14,
									},
									["resurrect"] = {
										["y"] = -1,
										["x"] = -39,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "RC",
										["size"] = 28,
									},
									["masterLoot"] = {
										["y"] = -10,
										["x"] = 16,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 12,
									},
									["leader"] = {
										["y"] = -12,
										["x"] = 2,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 14,
									},
									["questBoss"] = {
										["y"] = 24,
										["x"] = 9,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BR",
										["size"] = 22,
									},
									["height"] = 0.5,
									["status"] = {
										["y"] = -2,
										["x"] = 12,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LB",
										["size"] = 16,
									},
									["role"] = {
										["y"] = -11,
										["x"] = 30,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 14,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["pvp"] = {
										["y"] = -21,
										["x"] = 11,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TR",
										["size"] = 22,
									},
								},
								["range"] = {
									["height"] = 0.5,
								},
								["auras"] = {
									["height"] = 0.5,
									["debuffs"] = {
										["enabled"] = true,
										["x"] = 0,
										["y"] = 0,
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["buffs"] = {
										["enabled"] = true,
										["x"] = 0,
										["y"] = 0,
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 60,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["auraIndicators"] = {
									["height"] = 0.5,
								},
								["powerBar"] = {
									["height"] = 1,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "npc",
									["height"] = 1.2,
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "[(()afk() )][name]",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "[level( )][classification( )][perpp]",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[(()afk() )][name]",
										["width"] = 1,
									}, -- [5]
								},
								["highlight"] = {
									["height"] = 0.5,
									["size"] = 10,
								},
								["width"] = 190,
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["height"] = 45,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["combatText"] = {
									["height"] = 0.5,
								},
								["incHeal"] = {
									["height"] = 0.5,
									["cap"] = 1,
								},
								["healAbsorb"] = {
									["height"] = 0.5,
									["cap"] = 1,
								},
								["portrait"] = {
									["enabled"] = true,
									["type"] = "3D",
									["alignment"] = "RIGHT",
									["fullAfter"] = 50,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["incAbsorb"] = {
									["height"] = 0.5,
									["cap"] = 1,
								},
							},
							["battlegroundtarget"] = {
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "[curhp]",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[name]",
										["width"] = 1,
									}, -- [5]
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "npc",
									["height"] = 1.2,
								},
								["auras"] = {
									["buffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["width"] = 90,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["height"] = 25,
								["highlight"] = {
									["size"] = 10,
								},
								["powerBar"] = {
									["height"] = 0.6,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
							},
							["boss"] = {
								["highlight"] = {
									["height"] = 0.5,
									["size"] = 10,
								},
								["range"] = {
									["height"] = 0.5,
								},
								["auras"] = {
									["height"] = 0.5,
									["debuffs"] = {
										["perRow"] = 8,
										["x"] = 0,
										["y"] = 0,
										["anchorPoint"] = "BL",
										["enabled"] = true,
										["size"] = 16,
									},
									["buffs"] = {
										["perRow"] = 8,
										["x"] = 0,
										["y"] = 0,
										["anchorPoint"] = "BL",
										["enabled"] = true,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["auraIndicators"] = {
									["height"] = 0.5,
								},
								["powerBar"] = {
									["height"] = 1,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["offset"] = 20,
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "npc",
									["height"] = 1.2,
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "[perpp]",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[name]",
										["width"] = 1,
									}, -- [5]
								},
								["width"] = 160,
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["combatText"] = {
									["height"] = 0.5,
								},
								["height"] = 40,
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["height"] = 0.5,
								},
								["enabled"] = true,
							},
							["maintank"] = {
								["highlight"] = {
									["size"] = 10,
								},
								["auras"] = {
									["buffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 60,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["incAbsorb"] = {
									["cap"] = 1,
								},
								["powerBar"] = {
									["height"] = 1,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["offset"] = 5,
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "npc",
									["height"] = 1.2,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 50,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["unitsPerColumn"] = 5,
								["attribAnchorPoint"] = "LEFT",
								["incHeal"] = {
									["cap"] = 1,
								},
								["width"] = 150,
								["maxColumns"] = 1,
								["height"] = 40,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "[(()afk() )][name]",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "[perpp]",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[(()afk() )][name]",
										["width"] = 1,
									}, -- [5]
								},
								["columnSpacing"] = 5,
								["healAbsorb"] = {
									["cap"] = 1,
								},
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["resurrect"] = {
										["y"] = -1,
										["x"] = 37,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LC",
										["size"] = 28,
									},
									["masterLoot"] = {
										["y"] = -10,
										["x"] = 16,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 12,
									},
									["leader"] = {
										["y"] = -12,
										["x"] = 2,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 14,
									},
									["role"] = {
										["y"] = -11,
										["x"] = 30,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 14,
									},
									["status"] = {
										["y"] = -2,
										["x"] = 12,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LB",
										["size"] = 16,
									},
									["pvp"] = {
										["y"] = -21,
										["x"] = 11,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TR",
										["size"] = 22,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["ready"] = {
										["y"] = 0,
										["x"] = 35,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LC",
										["size"] = 24,
									},
								},
							},
							["raidpet"] = {
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["scale"] = 0.85,
								["auras"] = {
									["buffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["groupSpacing"] = 0,
								["incAbsorb"] = {
									["cap"] = 1,
								},
								["powerBar"] = {
									["height"] = 0.3,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["groupsPerRow"] = 8,
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "none",
									["height"] = 1.2,
								},
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "[missinghp]",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[name]",
										["width"] = 1,
									}, -- [5]
								},
								["attribAnchorPoint"] = "LEFT",
								["height"] = 30,
								["width"] = 90,
								["maxColumns"] = 8,
								["columnSpacing"] = 5,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["unitsPerColumn"] = 8,
								["incHeal"] = {
									["cap"] = 1,
								},
								["healAbsorb"] = {
									["cap"] = 1,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
								},
								["highlight"] = {
									["size"] = 10,
								},
							},
							["battlegroundtargettarget"] = {
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "[curhp]",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[name]",
										["width"] = 1,
									}, -- [5]
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "npc",
									["height"] = 1.2,
								},
								["auras"] = {
									["buffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["width"] = 90,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["height"] = 25,
								["highlight"] = {
									["size"] = 10,
								},
								["powerBar"] = {
									["height"] = 0.6,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
							},
							["bosstargettarget"] = {
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "[curhp]",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[name]",
										["width"] = 1,
									}, -- [5]
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "npc",
									["height"] = 1.2,
								},
								["auras"] = {
									["buffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["width"] = 90,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["height"] = 25,
								["highlight"] = {
									["size"] = 10,
								},
								["powerBar"] = {
									["height"] = 0.6,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
							},
							["pettarget"] = {
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "[perpp]",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[name]",
										["width"] = 1,
									}, -- [5]
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "npc",
									["height"] = 1.2,
								},
								["auras"] = {
									["buffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["width"] = 190,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["height"] = 30,
								["highlight"] = {
									["size"] = 10,
								},
								["powerBar"] = {
									["height"] = 0.7,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
							},
							["bosstarget"] = {
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "[curhp]",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[name]",
										["width"] = 1,
									}, -- [5]
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "npc",
									["height"] = 1.2,
								},
								["auras"] = {
									["buffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["width"] = 90,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["height"] = 25,
								["highlight"] = {
									["size"] = 10,
								},
								["powerBar"] = {
									["height"] = 0.6,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
							},
							["battlegroundpet"] = {
								["highlight"] = {
									["size"] = 10,
								},
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "[curhp]",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[name]",
										["width"] = 1,
									}, -- [5]
								},
								["auras"] = {
									["buffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
								},
								["height"] = 25,
								["width"] = 90,
								["powerBar"] = {
									["height"] = 0.6,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "npc",
									["height"] = 1.2,
								},
							},
							["pet"] = {
								["xpBar"] = {
									["height"] = 0.25,
									["background"] = true,
									["order"] = 55,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["height"] = 0.5,
								},
								["range"] = {
									["height"] = 0.5,
								},
								["auras"] = {
									["height"] = 0.5,
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 60,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["auraIndicators"] = {
									["height"] = 0.5,
								},
								["powerBar"] = {
									["height"] = 0.7,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "none",
									["height"] = 1.2,
								},
								["highlight"] = {
									["height"] = 0.5,
									["size"] = 10,
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "[perpp]",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[name]",
										["width"] = 1,
									}, -- [5]
								},
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["width"] = 190,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["height"] = 30,
								["fader"] = {
									["height"] = 0.5,
								},
								["combatText"] = {
									["height"] = 0.5,
								},
								["incHeal"] = {
									["height"] = 0.5,
								},
								["healAbsorb"] = {
									["height"] = 0.5,
									["cap"] = 1,
								},
								["incAbsorb"] = {
									["height"] = 0.5,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 50,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
							},
							["partypet"] = {
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "[curhp]",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[name]",
										["width"] = 1,
									}, -- [5]
								},
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["highlight"] = {
									["size"] = 10,
								},
								["auras"] = {
									["buffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["width"] = 90,
								["height"] = 25,
								["healAbsorb"] = {
									["cap"] = 1,
								},
								["powerBar"] = {
									["height"] = 0.6,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "npc",
									["height"] = 1.2,
								},
							},
							["maintanktarget"] = {
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "[(()afk() )][name]",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "[classification( )][perpp]",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[(()afk() )][name]",
										["width"] = 1,
									}, -- [5]
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "npc",
									["height"] = 1.2,
								},
								["auras"] = {
									["buffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["width"] = 150,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["height"] = 40,
								["highlight"] = {
									["size"] = 10,
								},
								["powerBar"] = {
									["height"] = 1,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
							},
							["player"] = {
								["portrait"] = {
									["enabled"] = true,
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 50,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["shadowOrbs"] = {
									["anchorTo"] = "$parent",
									["order"] = 60,
									["showAlways"] = true,
									["growth"] = "LEFT",
									["anchorPoint"] = "BR",
									["x"] = -3,
									["spacing"] = -4,
									["height"] = 0.4,
									["y"] = 6,
									["size"] = 14,
								},
								["runeBar"] = {
									["enabled"] = true,
									["background"] = false,
									["height"] = 0.4,
									["order"] = 70,
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 60,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["burningEmbersBar"] = {
									["height"] = 0.4,
									["background"] = false,
									["order"] = 70,
								},
								["powerBar"] = {
									["order"] = 20,
									["colorType"] = "type",
									["height"] = 1,
									["background"] = true,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["reactionType"] = "npc",
									["background"] = true,
									["order"] = 10,
									["height"] = 1.2,
								},
								["eclipseBar"] = {
									["order"] = 70,
									["background"] = true,
									["height"] = 0.75,
								},
								["druidBar"] = {
									["enabled"] = true,
									["background"] = true,
									["height"] = 0.4,
									["order"] = 70,
								},
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["height"] = 45,
								["auraPoints"] = {
									["anchorTo"] = "$parent",
									["order"] = 60,
									["showAlways"] = true,
									["growth"] = "LEFT",
									["anchorPoint"] = "BR",
									["x"] = -3,
									["spacing"] = -4,
									["height"] = 0.4,
									["y"] = 8,
									["size"] = 14,
								},
								["xpBar"] = {
									["height"] = 0.25,
									["background"] = true,
									["order"] = 55,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["lfdRole"] = {
										["y"] = 14,
										["x"] = 3,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BR",
										["size"] = 14,
									},
									["resurrect"] = {
										["y"] = -1,
										["x"] = 37,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LC",
										["size"] = 28,
									},
									["masterLoot"] = {
										["y"] = -10,
										["x"] = 16,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 12,
									},
									["leader"] = {
										["y"] = -12,
										["x"] = 2,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 14,
									},
									["role"] = {
										["y"] = -11,
										["x"] = 30,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 14,
									},
									["status"] = {
										["y"] = -2,
										["x"] = 12,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LB",
										["size"] = 16,
									},
									["pvp"] = {
										["y"] = -21,
										["x"] = 11,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TR",
										["size"] = 22,
									},
									["height"] = 0.5,
									["ready"] = {
										["y"] = 0,
										["x"] = 35,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LC",
										["size"] = 24,
									},
								},
								["totemBar"] = {
									["enabled"] = true,
									["background"] = false,
									["height"] = 0.4,
									["order"] = 70,
								},
								["incAbsorb"] = {
									["height"] = 0.5,
									["cap"] = 1,
								},
								["comboPoints"] = {
									["anchorTo"] = "$parent",
									["order"] = 60,
									["growth"] = "LEFT",
									["anchorPoint"] = "BR",
									["x"] = -3,
									["spacing"] = -4,
									["height"] = 0.4,
									["y"] = 8,
									["size"] = 14,
								},
								["staggerBar"] = {
									["height"] = 0.3,
									["background"] = true,
									["order"] = 70,
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "[(()afk() )][name][( ()group())]",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "[perpp]",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[(()afk() )][name][( ()group())]",
										["width"] = 1,
									}, -- [5]
									{
										["x"] = 3,
										["name"] = "Text",
										["anchorTo"] = "$demonicFuryBar",
										["text"] = "[warlock:demonic:curpp]",
										["size"] = -1,
										["width"] = 1,
									}, -- [6]
									{
										["name"] = "Timer Text",
										["anchorTo"] = "$totemBar",
										["text"] = "[totem:timer]",
										["block"] = true,
										["width"] = 1,
									}, -- [7]
									{
										["name"] = "Timer Text",
										["anchorTo"] = "$runeBar",
										["text"] = "[rune:timer]",
										["block"] = true,
										["width"] = 1,
									}, -- [8]
									{
										["width"] = 1,
										["text"] = "[monk:abs:stagger]",
										["name"] = "Text",
										["anchorTo"] = "$staggerBar",
									}, -- [9]
								},
								["monkBar"] = {
									["height"] = 0.5,
								},
								["holyPower"] = {
									["anchorTo"] = "$parent",
									["order"] = 60,
									["showAlways"] = true,
									["growth"] = "LEFT",
									["anchorPoint"] = "BR",
									["x"] = -3,
									["spacing"] = -4,
									["height"] = 0.4,
									["y"] = 6,
									["size"] = 14,
								},
								["soulShards"] = {
									["anchorTo"] = "$parent",
									["order"] = 60,
									["showAlways"] = true,
									["growth"] = "LEFT",
									["anchorPoint"] = "BR",
									["x"] = -8,
									["spacing"] = -2,
									["height"] = 0.4,
									["y"] = 6,
									["size"] = 12,
								},
								["chi"] = {
									["anchorTo"] = "$parent",
									["order"] = 60,
									["showAlways"] = true,
									["growth"] = "LEFT",
									["anchorPoint"] = "BR",
									["x"] = -3,
									["spacing"] = -4,
									["height"] = 0.4,
									["y"] = 6,
									["size"] = 14,
								},
								["width"] = 190,
								["highlight"] = {
									["height"] = 0.5,
									["size"] = 10,
								},
								["auras"] = {
									["height"] = 0.5,
									["debuffs"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorPoint"] = "BL",
										["maxRows"] = 1,
										["size"] = 16,
									},
									["buffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["maxRows"] = 1,
										["size"] = 16,
									},
								},
								["fader"] = {
									["inactiveAlpha"] = 0.6,
									["height"] = 0.5,
									["combatAlpha"] = 1,
								},
								["combatText"] = {
									["height"] = 0.5,
								},
								["incHeal"] = {
									["height"] = 0.5,
									["cap"] = 1,
								},
								["healAbsorb"] = {
									["height"] = 0.5,
									["cap"] = 1,
								},
								["auraIndicators"] = {
									["height"] = 0.5,
								},
								["demonicFuryBar"] = {
									["height"] = 0.5,
									["background"] = false,
									["order"] = 70,
								},
							},
							["mainassist"] = {
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 50,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["auras"] = {
									["buffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 60,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["incAbsorb"] = {
									["cap"] = 1,
								},
								["powerBar"] = {
									["height"] = 1,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["offset"] = 5,
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "npc",
									["height"] = 1.2,
								},
								["highlight"] = {
									["size"] = 10,
								},
								["attribAnchorPoint"] = "LEFT",
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "[(()afk() )][name]",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "[level( )][perpp]",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[(()afk() )][name]",
										["width"] = 1,
									}, -- [5]
								},
								["columnSpacing"] = 5,
								["width"] = 150,
								["maxColumns"] = 1,
								["incHeal"] = {
									["cap"] = 1,
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["unitsPerColumn"] = 5,
								["height"] = 40,
								["healAbsorb"] = {
									["cap"] = 1,
								},
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["resurrect"] = {
										["y"] = -1,
										["x"] = 37,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LC",
										["size"] = 28,
									},
									["masterLoot"] = {
										["y"] = -10,
										["x"] = 16,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 12,
									},
									["leader"] = {
										["y"] = -12,
										["x"] = 2,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 14,
									},
									["role"] = {
										["y"] = -11,
										["x"] = 30,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TL",
										["size"] = 14,
									},
									["status"] = {
										["y"] = -2,
										["x"] = 12,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LB",
										["size"] = 16,
									},
									["pvp"] = {
										["y"] = -21,
										["x"] = 11,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "TR",
										["size"] = 22,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["ready"] = {
										["y"] = 0,
										["x"] = 35,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "LC",
										["size"] = 24,
									},
								},
							},
							["targettarget"] = {
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "RIGHT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "npc",
									["height"] = 1.2,
								},
								["width"] = 110,
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["range"] = {
									["height"] = 0.5,
								},
								["auras"] = {
									["height"] = 0.5,
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "[curhp]",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "[perpp]",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "[curpp]",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["width"] = 1,
									}, -- [5]
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["height"] = 0.5,
								},
								["height"] = 30,
								["auraIndicators"] = {
									["height"] = 0.5,
								},
								["powerBar"] = {
									["height"] = 0.6,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["highlight"] = {
									["height"] = 0.5,
									["size"] = 10,
								},
							},
							["focustarget"] = {
								["highlight"] = {
									["height"] = 0.5,
									["size"] = 10,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "npc",
									["height"] = 1.2,
								},
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["auras"] = {
									["height"] = 0.5,
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
									["buffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "[(()afk() )][name]",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "[curhp]",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[(()afk() )][name]",
										["width"] = 1,
									}, -- [5]
								},
								["range"] = {
									["height"] = 0.5,
								},
								["width"] = 120,
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["fader"] = {
									["height"] = 0.5,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "RIGHT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["height"] = 25,
								["auraIndicators"] = {
									["height"] = 0.5,
								},
								["powerBar"] = {
									["height"] = 0.6,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["height"] = 0.5,
								},
							},
							["arena"] = {
								["offset"] = 25,
								["highlight"] = {
									["size"] = 10,
								},
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "[perpp]",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[name]",
										["width"] = 1,
									}, -- [5]
								},
								["auras"] = {
									["buffs"] = {
										["perRow"] = 9,
										["x"] = 0,
										["y"] = 0,
										["anchorPoint"] = "BL",
										["enabled"] = true,
										["size"] = 16,
									},
									["debuffs"] = {
										["perRow"] = 9,
										["x"] = 0,
										["y"] = 0,
										["anchorPoint"] = "BL",
										["enabled"] = true,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 60,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["portrait"] = {
									["enabled"] = true,
									["type"] = "class",
									["alignment"] = "LEFT",
									["fullAfter"] = 50,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["width"] = 170,
								["height"] = 45,
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["lfdRole"] = {
										["y"] = 14,
										["x"] = 3,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BR",
										["size"] = 14,
									},
									["arenaSpec"] = {
										["anchorPoint"] = "LC",
										["size"] = 28,
										["anchorTo"] = "$parent",
									},
								},
								["powerBar"] = {
									["height"] = 1,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "npc",
									["height"] = 1.2,
								},
							},
							["partytargettarget"] = {
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "[curhp]",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[name]",
										["width"] = 1,
									}, -- [5]
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "npc",
									["height"] = 1.2,
								},
								["auras"] = {
									["buffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
									["debuffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["y"] = 0,
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 40,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["width"] = 90,
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["height"] = 25,
								["highlight"] = {
									["size"] = 10,
								},
								["powerBar"] = {
									["height"] = 0.6,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["portrait"] = {
									["type"] = "3D",
									["alignment"] = "LEFT",
									["fullAfter"] = 100,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
							},
							["battleground"] = {
								["highlight"] = {
									["size"] = 10,
								},
								["emptyBar"] = {
									["reactionType"] = "none",
									["background"] = true,
									["order"] = 0,
									["height"] = 1,
								},
								["text"] = {
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [1]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [2]
									{
										["y"] = 0,
										["x"] = 3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CLI",
										["width"] = 0.5,
									}, -- [3]
									{
										["y"] = 0,
										["x"] = -3,
										["default"] = true,
										["text"] = "",
										["anchorPoint"] = "CRI",
										["width"] = 0.6,
									}, -- [4]
									{
										["anchorPoint"] = "CLI",
										["x"] = 3,
										["default"] = true,
										["text"] = "[name]",
										["width"] = 1,
									}, -- [5]
								},
								["auras"] = {
									["buffs"] = {
										["anchorPoint"] = "BL",
										["x"] = 0,
										["perRow"] = 9,
										["y"] = 0,
										["size"] = 16,
									},
									["debuffs"] = {
										["perRow"] = 9,
										["x"] = 0,
										["y"] = 0,
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
								},
								["castBar"] = {
									["time"] = {
										["enabled"] = true,
										["x"] = -1,
										["anchorTo"] = "$parent",
										["y"] = 0,
										["anchorPoint"] = "CRI",
										["size"] = 0,
									},
									["height"] = 0.6,
									["order"] = 60,
									["background"] = true,
									["icon"] = "HIDE",
									["name"] = {
										["y"] = 0,
										["x"] = 1,
										["anchorTo"] = "$parent",
										["rank"] = true,
										["anchorPoint"] = "CLI",
										["enabled"] = true,
										["size"] = 0,
									},
								},
								["portrait"] = {
									["type"] = "class",
									["alignment"] = "LEFT",
									["fullAfter"] = 50,
									["height"] = 0.5,
									["fullBefore"] = 0,
									["order"] = 15,
									["width"] = 0.22,
								},
								["altPowerBar"] = {
									["height"] = 0.4,
									["background"] = true,
									["order"] = 100,
								},
								["width"] = 140,
								["height"] = 35,
								["indicators"] = {
									["raidTarget"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "C",
										["size"] = 20,
									},
									["class"] = {
										["y"] = 0,
										["x"] = 0,
										["anchorTo"] = "$parent",
										["anchorPoint"] = "BL",
										["size"] = 16,
									},
									["pvp"] = {
										["anchorPoint"] = "LC",
										["x"] = 16,
										["anchorTo"] = "$parent",
										["y"] = -8,
										["size"] = 40,
									},
								},
								["powerBar"] = {
									["height"] = 0.5,
									["colorType"] = "type",
									["order"] = 20,
									["background"] = true,
								},
								["healthBar"] = {
									["colorType"] = "class",
									["order"] = 10,
									["background"] = true,
									["reactionType"] = "npc",
									["height"] = 1.2,
								},
							},
						},
						["bars"] = {
							["spacing"] = -1.25,
							["backgroundAlpha"] = 0.2,
							["alpha"] = 1,
							["texture"] = "Minimalist",
						},
						["positions"] = {
							["arenatarget"] = {
								["anchorPoint"] = "RT",
								["anchorTo"] = "$parent",
							},
							["mainassisttarget"] = {
								["anchorPoint"] = "RT",
								["anchorTo"] = "$parent",
							},
							["targettargettarget"] = {
								["anchorPoint"] = "RC",
								["anchorTo"] = "#SUFUnittargettarget",
							},
							["arenatargettarget"] = {
								["anchorPoint"] = "RT",
								["anchorTo"] = "$parent",
							},
							["arenapet"] = {
								["anchorPoint"] = "RB",
								["anchorTo"] = "$parent",
							},
							["mainassisttargettarget"] = {
								["anchorPoint"] = "RT",
								["x"] = 150,
								["anchorTo"] = "$parent",
							},
							["party"] = {
								["y"] = -60,
								["point"] = "TOPLEFT",
								["anchorTo"] = "#SUFUnitplayer",
								["movedAnchor"] = "TL",
								["relativePoint"] = "TOPLEFT",
							},
							["maintanktarget"] = {
								["anchorPoint"] = "RT",
								["anchorTo"] = "$parent",
							},
							["focus"] = {
								["y"] = -4,
								["x"] = 35,
								["anchorPoint"] = "RB",
								["anchorTo"] = "#SUFUnittarget",
							},
							["target"] = {
								["anchorPoint"] = "RC",
								["x"] = 50,
								["anchorTo"] = "#SUFUnitplayer",
							},
							["raid"] = {
								["anchorPoint"] = "C",
							},
							["partytargettarget"] = {
								["anchorPoint"] = "RT",
								["anchorTo"] = "$parent",
							},
							["battlegroundtarget"] = {
								["anchorPoint"] = "RT",
								["anchorTo"] = "$parent",
							},
							["arena"] = {
								["anchorPoint"] = "C",
							},
							["battlegroundtargettarget"] = {
								["anchorPoint"] = "RT",
								["anchorTo"] = "$parent",
							},
							["bosstargettarget"] = {
								["anchorPoint"] = "RB",
								["anchorTo"] = "$parent",
							},
							["battlegroundpet"] = {
								["anchorPoint"] = "RB",
								["anchorTo"] = "$parent",
							},
							["bosstarget"] = {
								["anchorPoint"] = "RB",
								["anchorTo"] = "$parent",
							},
							["focustarget"] = {
								["anchorPoint"] = "TL",
								["anchorTo"] = "#SUFUnitfocus",
							},
							["pet"] = {
								["anchorPoint"] = "TL",
								["anchorTo"] = "#SUFUnitplayer",
							},
							["targettarget"] = {
								["anchorPoint"] = "TL",
								["anchorTo"] = "#SUFUnittarget",
							},
							["mainassist"] = {
								["anchorPoint"] = "C",
							},
							["player"] = {
								["y"] = -25,
								["x"] = 20,
								["point"] = "TOPLEFT",
								["relativePoint"] = "TOPLEFT",
							},
							["maintanktargettarget"] = {
								["anchorPoint"] = "RT",
								["x"] = 150,
								["anchorTo"] = "$parent",
							},
							["pettarget"] = {
								["anchorPoint"] = "C",
							},
							["raidpet"] = {
								["anchorPoint"] = "C",
							},
							["maintank"] = {
								["anchorPoint"] = "C",
							},
							["boss"] = {
								["anchorPoint"] = "C",
							},
							["battleground"] = {
								["anchorPoint"] = "C",
							},
						},
						["auraColors"] = {
							["removable"] = {
								["b"] = 1,
								["g"] = 1,
								["r"] = 1,
							},
						},
					},
				},
			}
			
		end		
		
		for k,v in pairs(LCI_ShadowedUnitFrames_Install) do
			ShadowedUFDB[k] = v
			LCI.db.global.addonProfileVersion.ShadowedUnitFrames = profileVersion
		end
	end

	if ShadowedUFDB.profileKeys[CharInfo] == nil then
		tinsert(ShadowedUFDB.profileKeys,CharInfo)
		ShadowedUFDB.profileKeys[CharInfo] = "LCI"
	elseif ShadowedUFDB.profileKeys[CharInfo] ~= "LCI" then
		ShadowedUFDB.profileKeys[CharInfo] = "LCI"
	end
end	